Overview of changes in Rhythmbox 3.4.9
======================================

* Python plugin loader now works with new pygobject/libpeas
* New playback backend, replacing the old crossfading backend

Issues fixed:
2009 - apidoc not installed
2111 - Error activate plugins: libpeas: Could not load plugin loader 'python3'
2112 - Constant CPU usage and wakeups while idle with an Android device plugged in
2118 - GLib2 changed the way g_values copy GStrings. This breaks rhythmbox


Merge requests:
192 - Add CUE plugin to Third Party Plugins list
198 - main: Fix window not being matched to application
200 - Update POTFILES.in


Translation updates:
- ca, courtesy of Assumpta, 2021
- ca, courtesy of Jordi Mas i Hernàndez
- da, courtesy of Alan Mortensen
- fr, courtesy of Jean-Marc Tissières
- id, courtesy of Andika Triwidada
- it, courtesy of Milo Casagrande
- ja, courtesy of Makoto Sakaguchi
- lt, courtesy of Aurimas Černius
- nl, courtesy of Nathan Follens
- ru, courtesy of Ser82-png
- sv, courtesy of Anders Jonsson
- uk, courtesy of Yuri Chornoivan


Overview of changes in Rhythmbox 3.4.8
======================================

* Minor improvement release for 3.4
* Improved support for podcast episode images
* Better handling of the split between Android and MTP plugins
* The long-broken DAAP server now works again
* API documentation now generated by gi-docgen

Issues fixed:
1715 - Sync fails to create playlist if directory does not exist
1828 - extdb: support cancellation
1832 - rhythmbox hangs when it cannot play the file
2001 - "Access key" string needs a translator comment
2050 - Orca does not present items in left panel correctly
2052 - The "rating" widget should not have the "unknown" accessible role
2065 - Trivial/Clerical fix on debug statement in MTP plugin
2066 - Pause/Stop button incorrect context (radio stream vs playlist queue)
2067 - Add Lenovo to android-mtp match/allow-list
2072 - Incorrect/missing URLs in app metadata
2073 - Phone not being recognized as Android PTP device
2080 - cgi module is being deprecated since Python >= 3.13
2084 - Access to Rhythmbox via DAAP from Android gets "Unable to Connect!"
2086 - Rhythmbox crashing sync with Android device


Merge requests:
27 - generic-player: create directory when syncing playlist
143 - Updates iradio-initial.xspf
144 - Stronger sanitization for generic player sync
153 - Convert README and internals documentation to markdown
175 - build: Define _GNU_SOURCE for pthread_getname_np
178 - Add missing includes to fix crash with libxml2 2.12
179 - Appdata related patches
180 - data: Appdata fixes after Flathub review
181 - notification: Fix libnotify warning in Flatpak
185 - context: use html.escape instead of cgi.escape
186 - Add a "delete file only" option for podcasts.
187 - Fix strict prototype compiler warning with clang
188 - Fix Python3 invalid escape sequences.
189 - appdata: Use rDNS developer name


Translation updates:
- be, courtesy of Yuras Shumovich
- ca, courtesy of Jordi Mas i Hernàndez
- cs, courtesy of Daniel Rusek
- da, courtesy of Alan Mortensen
- de, courtesy of Tim Sabsch
- fi, courtesy of Jiri Grönroos
- hi, courtesy of Scrambled777
- hu, courtesy of Balázs Úr
- id, courtesy of Andika Triwidada
- ka, courtesy of Ekaterine Papava
- kk, courtesy of Baurzhan Muftakhidinov
- lt, courtesy of Aurimas Černius
- lv, courtesy of Rūdolfs Mazurs
- oc, courtesy of Quentin PAGÈS
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Juliano de Souza Camargo
- pt, courtesy of Hugo Carvalho
- ro, courtesy of Florentina Mușat
- ru, courtesy of Ser82-png
- sl, courtesy of Martin Srebotnjak
- sv, courtesy of Anders Jonsson
- th, courtesy of Kiatkachorn Ratanatharathorn
- tr, courtesy of Emin Tufan Çetin
- uk, courtesy of Yuri Chornoivan
- zh_CN, courtesy of lumingzh
- zh_TW, courtesy of Cheng-Chia Tseng


Overview of changes in Rhythmbox 3.4.7
======================================

* Bug fix release for 3.4
* Requires libsoup 3
* Party mode removed
* debugpy support for Python plugin debugging

Issues fixed:
1591 - 'Import playlist from file' does not retain playlist file name
1818 - ListenBrainz: Rhythmbox hangs when blocked by firewall
1824 - Listenbrainz: ResourceWarning: unclosed <ssl.SSLSocket>
1983 - podcast: Crashes with SIGSEGV during podcast subscribe
1992 - AttributeError: 'gi.repository.RB' object has no attribute 'gst_process_embedded_image'
1993 - test-widgets fails on arm64
1996 - Port to libsoup3
2021 - rhythmbox does not support WMA format audio files playing immediately
2043 - test_rhythmdb_thread_barrier failing in current Ubuntu serie


Merge requests:
149 - data: Update appdata screenshot to an existing one
155 - podcast: do not set metadata errors on download status if download is complete
156 - build: Check that appdata and NEWS get updated on release
157 - tests: Allow running tests without installed gsettings schemas
165 - listenbrainz: use LB defined fields for client and source info
166 - desktop: Remove obsolete Bugzilla entries
170 - Fix JSON parser leak in audioscrobbler plugin
173 - build: Use get_variable function instead of running pkg-config


Overview of changes in Rhythmbox 3.4.6
======================================

* Bug fix release for 3.4
* Translations actually work this time
* Assorted build system improvements
* DAAP plugin no longer enabled by default

Issues fixed:

1972 - meson configure fails with -Dlibnotify=disabled
1974 - rhythmbox: dmap_control_share_stop_lookup(): rhythmbox killed by SIGABRT
1988 - rb-podcast-parse.c:208:parse_cb: code should not be reached
1985 - podcast: Episode state changes from "Downloaded" to "Waiting" ( forever )

Merge requests:

146 - build: Do not set install_rpath
148 - data: Fix executable path in D-Bus service definition
150 - build: Update icon cache and schemas on install
151 - build: Allow all versions of meson
152 - build: Fix translations not working

Translation updates:

- de, courtesy of Philipp Kiemle
- fr, courtesy of Claude Paroz
- oc, courtesy of Quentin PAGÈS
- tr, courtesy of Sabri Ünal
- vi, courtesy of Trần Ngọc Quân


Overview of changes in Rhythmbox 3.4.5
======================================

* Bug fix release for 3.4
* Switched to Meson build system
* Rewritten podcast downloader with better resume and retry
* Uses podcast episode GUIDs to handle episode URL changes
* Preserves original order of episodes in podcasts even if episodes
   have the same publication date
* Soundcloud plugin removed (no longer works due to API restrictions)
* mmkeys plugin removed (no longer useful)
* DAAP plugin now supports libdmapsharing 4 API
* Crossfading player backend works much better with network streams now
* Better reporting of progress when transferring to Android or MTP devices

Issues fixed:

1634 - Opus files are encoded allways in hard-CBR
1690 - Unhelpful error message for podcast feeds with no episodes
1743 - Error transfering track: Target file already exists - while syncing with Android
1744 - Transcoding WAV -> MP3 creates files outside "Music" dir during android sync
1746 - Magnatune doesn't support buying individual albums
1749 - Broken icon in 3.4.4 "About" dialog
1750 - Remove reference to Miroguide search in code
1751 - Replace www.rhythmbox.org with updated wiki.gnome.org links
1758 - webremote plugin missing icons in 3.4.4
1759 - webremote plugin not displaying icons / album art in Google chrome
1760 - Rhythmbox crashed on plugging in iPhone 11 Pro with iOS 13.3
1762 - RBAsyncCopy: Use G_FILE_COPY_OVERWRITE for g_file_copy_async()
1763 - Magnatune: Rhythmbox crashes when download album is pressed more than once
1764 - Magnatune: Albums download keeps repeating if album already exists
1767 - Magnatune: Album art doesn't load properly
1769 - Insufficent checking to determine whether files are under library directories
1771 - podcast feed description is empty
1772 - podcast album art doesn't work
1773 - Rating not updated when updating using keyboard
1775 - Missing icon in notifications
1780 - podcast: cancel download doesn't work for slow connections
1781 - podcast: "Finished downloading podcast" notification for cancelled downloads
1782 - podcast: cancel download while download is in progress doesn't always work
1787 - Song Position slider View preference not remembered after restart
1795 - rhythmbox compile failed with gcc9
1796 - 32 bit build failure
1803 - 3.4.4: build fails with latest check 1.5.x
1822 - podcast: download progress starts at 1 percent
1829 - WinampCN lyric site is not responding
1844 - podcast download error caused by delayed database entry changes
1845 - podcast: Download cancellation doesn't cancel when cancelled at 0%
1846 - podcast: crashes with SIGSEGV during podcast search
1849 - podcast: subscribing feed has partial episode list in view
1876 - podcast: cancelled downloads cannot play
1883 - Build fails with CFLAGS="-O0": implicit declaration of function ‘setlocale’
1909 - Import job gets cancelled while processing symlinks
1923 - test-uri-dialog - The resource at “/org/gnome/Rhythmbox/ui/uri-new.ui” does not exist
1934 - build warning: function declaration isn’t a prototype [-Wstrict-prototypes]
1944 - artsearch fails if local search encounters an error
1963 - application icons not found if not installed to default search path


Merge requests:

12 - Port DAAP plugin to libdmapsharing-4.0 API
43 - Fix mapping of GStreamer album volume count
45 - Fix Soundcloud plugin issues
48 - metadata: Enable UTF-8 support in metadata scanner
50 - Song info ui fixes
57 - Update application ID to org.gnome.Rhythmbox3
58 - listenbrainz: Add listening_from to submitted data
65 - fix podcast episode download stuck in 'Waiting' state
66 - podcast download should not fail when local file is empty
68 - Podcast property view issues
69 - remove invalid itunes detection browser plugin notice message
77 - Use tabular figures for text with numeric data
86 - Build using Meson
88 - rhythmbox-client: flush dbus connection to send the 'quit' message before process exit
93 - data: Add "provides" for the old desktop filename
94 - Fix keyboard shortcuts not working sometimes
98 - Podcast refcount issues
103 - update .gitignore
106 - rhythmdb: wait for changes to be processed before committing
107 - add rb_uri_is_descendant
110 - Fix "too many open files" error during track transfer to device
111 - encoder: update completion status only once on cancellation
114 - Setlocale Build Fail Fixed..
115 - file-helpers: propagate error to caller from rb_uri_mkstemp
116 - remove totem-pl-parser obsolete code
122 - header: make header buttons have uniform dimensions
127 - Some random cleanups
128 - build: Remove autotools
129 - Remove running from an uninstalled directory
130 - mpid: Remove more HAL related code
131 - Use gettext to translate all the plugin definitions and desktop files
132 - Remove gnome-settings-daemon MediaKeys plugin
133 - Remove "sanity check" verbiage
136 - Update POTFILES.in and POTFILES.skip 211117
137 - build: add glib preset to i18n.gettext
138 - Rename desktop.plugin.in files to plugin.desktop.in
139 - add ITS rule for playlists.xml and use gettext
140 - tests: Disable libcheck timeout
142 - Add tdb to pkgconfig dependencies


Translation updates:

- as, courtesy of Amitakhya Phukan
- ca, courtesy of Assumpta, 2021
- ca, courtesy of Jordi Mas
- cs, courtesy of Marek Černocký
- da, courtesy of Alan Mortensen
- da, courtesy of scootergrisen
- de, courtesy of Christian Kirbach
- de, courtesy of Philipp Kiemle
- es, courtesy of Daniel Mustieles
- eu, courtesy of Asier Sarasua Garmendia
- fa, courtesy of eshagh
- fi, courtesy of Jiri Grönroos
- fr, courtesy of Claude Paroz
- fur, courtesy of Fabio Tomat
- hi, courtesy of karthik
- hr, courtesy of gogo
- hu, courtesy of Balázs Úr
- id, courtesy of Kukuh Syafaat
- it, courtesy of Milo Casagrande
- ja, courtesy of sicklylife
- lt, courtesy of Aurimas Černius
- nl, courtesy of Nathan Follens
- oc, courtesy of Quentin PAGÈS
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Matheus Barbosa
- pt, courtesy of Hugo Carvalho
- ro, courtesy of Florentina Mușat
- ru, courtesy of Ser82-png
- sk, courtesy of Dušan Kazik
- sr, courtesy of Мирослав Николић
- sv, courtesy of Anders Jonsson
- tr, courtesy of Sabri Ünal
- uk, courtesy of Yuri Chornoivan
- vi, courtesy of Trần Ngọc Quân
- zh_CN, courtesy of lumingzh
- zh_TW, courtesy of Cheng-Chia Tseng



Overview of changes in Rhythmbox 3.4.4
======================================

* Bug fix release for 3.4
* Support for fetching cover art from coverartarchive.org
* Uses HTTPS for external requests where possible
* New Listenbrainz plugin
* Sendto plugin removed


Issues fixed:

1340 - Consider removing iTunes detection plugin
1582 - Type errors in rhythmbox; cover art plugin
1688 - print-playing-formats %aa and %aA report wrong value
1692 - Does org.gnome.rhythmbox.statusbar-visible still exist?
1696 - Inconsistent Quality/Bitrate for FLAC and ALAC
1700 - Update app icon
1713 - Google Pixel phones are Android phones
1729 - Plugins for Android sync do not work
1730 - Podcasts searched over plain HTTP
1741 - Invalid object type 'PeasGtkPluginManager' while loading plugin preferences

Merge requests:

9 - listenbrainz: Added ListenBrainz plugin
14 - PythonConsole plugin: Print command output's repr() instead of str()
17 - fix albumart width in webremote ui
18 - zeitgeist: Use zeitgeist via Gobject introspection
22 - Drop Mozilla plugin
23 - ci: Use srcdir != builddir in CI
24 - iradio: Add Kink 'no alternative'
25 - Remove obsolete ITMS_HANDLER reference in desktop file
28 - Do silent notifications
29 - Fix some deprecated code usage, and update appdata
31 - Bugs now reported on GitLab
33 - Add Nexus 5X and all bq devices as recognised Androids


Translation updates:

- ca, courtesy of Jordi Mas
- cs, courtesy of Marek Černocký
- da, courtesy of Alan Mortensen
- en_GB, courtesy of Bruce Cowan
- es, courtesy of Daniel Mustieles
- eu, courtesy of Asier Sarasua Garmendia
- fi, courtesy of Jiri Grönroos
- fr, courtesy of Claude Paroz
- fur, courtesy of Fabio Tomat
- hr, courtesy of gogo
- hu, courtesy of Balázs Úr
- id, courtesy of Kukuh Syafaat
- it, courtesy of Milo Casagrande
- ja, courtesy of sicklylife
- lt, courtesy of Aurimas Černius
- mjw, courtesy of Jor Teron
- nl, courtesy of Nathan Follens
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Rafael Fontenelle
- sl, courtesy of Matej Urbančič
- sr, courtesy of Марко М. Костић
- sv, courtesy of Anders Jonsson
- tr, courtesy of Sabri Ünal
- vi, courtesy of Trần Ngọc Quân



Overview of changes in Rhythmbox 3.4.3
======================================

* Bug fix release for 3.4
* Android plugin works better with Samsung and Android 9 devices
* Status bar replaced with floating bar as used by Nautilus

Bugzilla bugs fixed:

727670  ext-db: fix crash when store request processing fails
767255  build: Remove -Wcast-align warning
781664  mmkeys: media-player-keys: Fix usage to match API documentation
788676  magnatune: convert the secret to a string
788677  magnatune: rework download progress so it actually works
788706  fmradio: Fix build with GStreamer master
789155  Ignore newline in track metadata
789494  brasero-disc-recorder: Fix invalid object reference warnings
789632  song-info: fix the signal name used for entry deletion
789706  shell: remove extra pixbuf unref
789795  mp3 encoding quality slider is misleading
789839  bump gtk+ requirement to 3.20
789157  Add dialog-question-symbolic icon for missing files source
790876  build: Install appstream metadata to non-deprecated location
791815  Rhythmbox crashes when editing auto playlist sorted by Location / Bitrate

Gitlab issues fixed:

1626 - Help contains the whole text of GFDL
1646 - Can not transfer songs to phone over MTP, "could not open resource for writing"
1660 - crashes when I insert a cd

Gitlab merge requests:

7 - all: Remove HAL
8 - Fix art search traceback
10 - sources: Fix state of initial import not reflecting reality
11 - Added Gitlab CI config
21 - audioscrobbler: Don't break https:// URLS

Translation updates:

- ca, courtesy of Jordi Mas
- cs, courtesy of Marek Černocký
- da, courtesy of Alan Mortensen
- de, courtesy of Mario Blättermann
- eo, courtesy of Kristjan SCHMIDT
- es, courtesy of Daniel Mustieles
- es, courtesy of Rodrigo
- fi, courtesy of Jiri Grönroos
- fr, courtesy of Charles Monzat
- fur, courtesy of "Last-Translator: \n"
- gl, courtesy of marcos
- hr, courtesy of gogo
- hu, courtesy of Meskó Balázs
- id, courtesy of Kukuh Syafaat
- it, courtesy of Milo Casagrande
- lt, courtesy of Aurimas Černius
- nb, courtesy of Kjartan Maraas
- nl, courtesy of Nathan Follens
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Rafael Fontenelle
- sk, courtesy of Dušan Kazik
- sr, courtesy of Мирослав Николић
- sr@latin, courtesy of Miroslav Nikolić
- sv, courtesy of Anders Jonsson
- tr, courtesy of Emin Tufan Çetin
- vi, courtesy of Trần Ngọc Quân
- zh_CN, courtesy of Dingzhong Chen
- zh_TW, courtesy of Cheng-Chia Tseng


Overview of changes in Rhythmbox 3.4.2
======================================

* Bug fix release for 3.4
* Visualization plugin removed
* Responsiveness improvements during media player sync
* Better network buffering when crossfading is enabled

Bugs fixed:

697567 	Critical Assertion Errors
701608 	accept --version command-line option
770358 	IM status plugin: Remove Gossip support
770462 	Rhythmbox should not display "Examining files 0 of 0"
770486 	grilo plugin leaves empty directories in /tmp
770920 	rhythmbox crashed with SIGSEGV during import
770983 	Expand playing icon column in entry view
771335 	Use generic signal marshallers
771337 	Ensure same size progress bar in task list
771405 	Update README
771884 	Rhythmbox should confirm before overwriting playlists.
772997 	Search not cleared on clicking "View All"
773404 	Client: Disconnect doesn't reset browser selection
773466 	Server: Do not transmit unplayable rhythmdb entries to the DMAP client
773695 	Import hangs for special file ( socket )
773729 	Playqueue UI improvements
773858 	Link podcast feed / episode plugin menus
774336 	Properties with long text is not ellipsized in property view.
775294 	GTK_IS_WIDGET (widget) assertion failures when selecting "Radio France" source
775447 	Grilo plugin needs quality column
776292 	Memory leak in error handling of utimes on podcast-timestamp
781184 	Send tracks: update plugin description
783016 	iradio plugin should include WUVT-FM
784957 	build failure with gcc 7.1.1
785304 	open settings crashes the app
785805 	Keyboard navigation with tab is broken by search entry widget
787785  DLNA audio playback stops after 30 sec, can get back briefly with seeking

Translation updates:

- ca, courtesy of Jordi Mas
- cs, courtesy of Marek Černocký
- de, courtesy of Mario Blättermann
- es, courtesy of Daniel Mustieles
- fi, courtesy of Jiri Grönroos
- gl, courtesy of marcos
- hr, courtesy of gogo
- hu, courtesy of Meskó Balázs
- id, courtesy of Kukuh Syafaat
- it, courtesy of Milo Casagrande
- lt, courtesy of Aurimas Černius
- nb, courtesy of Kjartan Maraas
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Isaac Ferreira Filho
- pt, courtesy of Tiago Santos
- ro, courtesy of Daniel Șerbănescu
- sk, courtesy of Dušan Kazik
- sr, courtesy of Милош Поповић
- sr@latin, courtesy of Miloš Popović
- sv, courtesy of Anders Jonsson
- vi, courtesy of Trần Ngọc Quân
- zh_CN, courtesy of 甘露(Lu Gan)
- zh_TW, courtesy of Cheng-Chia Tseng



Overview of changes in Rhythmbox 3.4.1
======================================

* Bug fix release for 3.4

Bugs fixed:

770044  rhythmbox-3.3.1 grilo plugin crashes on reload
770071  rhythmbox crashes while updating metadata for file stored in read only filesystem
770134  RhythmDB-CRITICAL **: rhythmdb_entry_unref: assertion 'entry != NULL' failed
770148  rhythmbox crashes while stopping track extraction from CD
770167  "View All" button in iRadio plugin doesn't fire filter changed notification
770209  Missing sort order label in Automatic playlist dialog
770212  Magnatune: "Select All" -> "Download Album" halts entire system
770262  Rhythmbox GIR Bindings Broken With 3.4 (rb_application_add_accelerator)
770411  Rhythmbox should not allow deletion of default items in side pane.
770601  webremote plugin: Missing files in installation.
770920  rhythmbox crashed with SIGSEGV during import

Translation updates:

- lt, courtesy of Aurimas Černius
- nl, courtesy of Justin van Steijn
- pl, courtesy of Piotr Drąg
- pt, courtesy of Tiago Santos
- sr, courtesy of Мирослав Николић
- sr@latin, courtesy of Miroslav Nikolić


Overview of changes in Rhythmbox 3.4
====================================

* New web remote control plugin
* Grilo plugin now uses Grilo 0.3
* Soundcloud plugin fetches more search results and allows pausing
* No longer uses webkit (partly due to OpenBSD W^X enforcement)
* Slightly better handling of keyboard shortcuts for playback
* Core and some plugin data files compiled into binaries using GResources

Bugs fixed:

703910  Entering then leaving Party Mode breaks the app menu; Party Mode status incorrectly reported
721926  TerraParser (lyric's plugin) is not fetching lyrics correctly
759589  grilo: Port to 0.3.0
765833  [regression] Cover art shown superposed over the song titles and artist names when cover art is disabled
766584  Referenced website replaygain.org is not about ReplayGain
767318  Use correct pkg-config binary
767466  daap: Fix warnings when configuring music sharing
767524  "To translators: the context is" doesn't continue the sentence
768545  Cannot change MP4 encoder settings
769404  Memory leak

Translation updates:

- ca, courtesy of Jordi Mas
- cs, courtesy of Marek Černocký
- da, courtesy of Ask Hjorth Larsen
- de, courtesy of Mario Blättermann
- es, courtesy of Daniel Mustieles
- fi, courtesy of Jiri Grönroos
- fr, courtesy of Claude Paroz
- ga, courtesy of Seán de Búrca
- gd, courtesy of GunChleoc
- hr, courtesy of gogo
- hu, courtesy of Meskó Balázs
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Enrico Nicoletto
- pt, courtesy of Tiago Santos
- ro, courtesy of Daniel Șerbănescu
- sk, courtesy of Dušan Kazik
- sv, courtesy of Anders Jonsson
- vi, courtesy of Trần Ngọc Quân
- zh_CN, courtesy of shijing


Overview of changes in Rhythmbox 3.3.1
======================================

* Better handling of locked Android devices
* Simplified ReplayGain processing that might crash less
* Switched to webkit2 API, except for the context plugin which is disabled
* Notifications behave better when actions aren't available

Bugs fixed:

678349 	Rhythmbox segfaults when trying to access Android 4.0 MTP device already mounted by Nautilus
744775 	Rhythmbox crashes when trying to access Android device.
752019 	Port to WebKit2
762087 	CD playing with cross fading on crashes rhythmbox
762203 	Display notifications about playing song when pausing
763206 	RhythmDB-CRITICAL **: rhythmdb_entry_get_entry_type: assertion 'entry != NULL' failed
763435 	Gtk-WARNING **: Drawing a gadget with negative dimensions. Did you forget to allocate a size? (node grid owner RBHeader)
763874 	Rework logic of Python support option

Translation updates:

- cs, courtesy of Marek Černocký
- de, courtesy of Mario Blättermann
- es, courtesy of Daniel Mustieles
- fi, courtesy of Jiri Grönroos
- hu, courtesy of Balázs Úr
- it, courtesy of Milo Casagrande
- lv, courtesy of Rūdolfs Mazurs
- oc, courtesy of Cédric VALMARY
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Rafael Fontenelle
- ro, courtesy of Daniel Șerbănescu
- sk, courtesy of Dušan Kazik
- sr, courtesy of Мирослав Николић
- sr@latin, courtesy of Miroslav Nikolić
- sv, courtesy of Anders Jonsson
- tr, courtesy of Muhammet Kara
- vi, courtesy of Trần Ngọc Quân



Overview of changes in Rhythmbox 3.3
====================================

* New plugin supporting Android devices via gvfs-mtp
* Encoding settings are now configurable per device type
* Encoding settings can force lossless files to be transcoded

Bugs fixed:

733830 	While extracting music from CDs, information in the "Year" field is lost
748857 	Typos in documentation
749015 	audioscrobbler: Fix displaying icon for libre.fm
751265 	JSON import errors
751630 	Sync Preferences Missing
751961 	iradio: remove Radio GFM
752433 	[PATCH] data: Add various mod files as supported MIME types
753359 	Don't handle RTL icons manually for GTK+ >= 3.12
753767 	error: conflicting types for 'rhythmdb_metadata_cache_purge'
755881 	crash when adding files found during startup scan
756992 	hangs after handling mod/xm/it (modplug) file when crossfade is enabled
757225	Freezing with crossfade backend and Pulseaudio with GStreamer 1.6.x
760192 	commit 85c185d breaks compilation with -Wl,-as-needed
761030 	Album-Art caching issue

Translation updates:

- cs, courtesy of Marek Černocký
- de, courtesy of Mario Blättermann
- de, courtesy of Wolfgang Stoeggl
- es, courtesy of Daniel Mustieles
- fi, courtesy of Jiri Grönroos
- fr, courtesy of Claude Paroz
- gl, courtesy of marcos
- hu, courtesy of Balázs Úr
- ko, courtesy of Seong-ho Cho
- lt, courtesy of Aurimas Černius
- nb, courtesy of Kjartan Maraas
- oc, courtesy of Cédric Valmary (Tot en òc)
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Enrico Nicoletto
- pt, courtesy of Pedro Albuquerque
- ru, courtesy of Stas Solovey
- sk, courtesy of Dušan Kazik
- sr, courtesy of Мирослав Николић
- sr@latin, courtesy of Miroslav Nikolić
- sv, courtesy of Josef Andersson
- vi, courtesy of Trần Ngọc Quân


Overview of changes in Rhythmbox 3.2.1
======================================

* Bug fixes

Bugs fixed:

746975 - core dump when using shuffle and playing track changes
747053 - Rhythmbox plugins fail to connect to signal handlers with libpeas 1.14.0

Translation updates:

- ca, courtesy of Pau Iranzo
- de, courtesy of Christian Kirbach
- fr, courtesy of Haïkel Guémar

Overview of changes in Rhythmbox 3.2
====================================

* Support for disc and track total tags (Hubert Figuiere)
* Soundcloud plugin
* Ability to clear, re-fetch and manually set cover art using the song info
   window
* Build fixes for Mac OS X (Andrew Brown)
* Many style and layout fixes (Trinh Anh Ngoc)

Bugs fixed:

330686 - same songs played after reading a playlist
554574 - no easy way to unselect the browse by album,artist,genre option
592706 - Unclear string "in" for translation
601747 - rhythmbox skips one or two songs after playing certain songs
733795 - configure warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
737058 - Add track count and disc count to the database
737655 - data: Add Vorbis aliases as supported mime-types
738101 - Failure to build with tdb 1.3
738529 - Crash when right clicking the track list in the library
743012 - Rhythmbox fails to import MP3 files with ID3 v2.4 tags created by PicardQT
743493 - Tracks with no embedded covert art show a random cover art from the music collection
743761 - Right click on any file in 'Tracks list' clashes the application
745395 - Duplicate symbol _rb_metadata_iface_xml
745399 - gdkx.h explicitly included; prevents building on Mac
746047 - symbolic icon is broken

Translation updates:

- bs, courtesy of Samir Ribić
- ca, courtesy of Pau Iranzo
- cs, courtesy of Marek Černocký
- es, courtesy of Irene Sáez Sanz
- fi, courtesy of Jiri Grönroos
- gd, courtesy of GunChleoc
- hu, courtesy of Balázs Úr
- id, courtesy of Andika Triwidada
- it, courtesy of Milo Casagrande
- kk, courtesy of Baurzhan Muftakhidinov
- lt, courtesy of Aurimas Černius
- nb, courtesy of Kjartan Maraas
- nl, courtesy of Hannie Dumoleyn
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Rafael Ferreira
- sk, courtesy of Dušan Kazik
- sl, courtesy of Matej Urbančič
- sr, courtesy of Мирослав Николић
- sr@latin, courtesy of Miroslav Nikolić
- sv, courtesy of Anders Jonsson
- sv, courtesy of Daniel Nylander
- tr, courtesy of Muhammet Kara
- vi, courtesy of Trần Ngọc Quân
- zh_TW, courtesy of Cheng-Chia Tseng


Overview of changes in Rhythmbox 3.1
====================================

* Assorted bug fixes
* GTK+ 3.14 compatible
* Now includes an AppData file

Bugs fixed:

637747 - "Edit > Preferences > General > Visibile Columns > BPM" missing mnemonic
686082 - UPNP servers do not get removed after they become unavailable
702885 - SendTo plugin does not work with music files containing apostrophe
723020 - Rhythmbox incorrectly reads the year tag of m4a files
725884 - support libsecret 0.18 (SecretUnstable to Secret API change)
729373 - rhythmbox crashes upon "Jump to Playing Song"
731025 - Song properties dialog "Basic" tab, "Comment" keyboard mnemonic is same as "Composer"
731202 - Notification disappears when I pause my music
731236 - New Radio Paradise URLs
732764 - The latest rhythmbox needs atleast libglib 2.34
732880 - Wording used for importing music in import screen is not clear
733499 - rhythmbox crashes with SIGSEGV due to double free in rb_podcast_parse_channel_free
733526 - rhythmbox / audioscrobbler fails if built from separate build dir
733586 - Inequal sizing and alignment in rhythmbox UI.
733636 - grilo: Do not free GrlRegistry
734057 - rhythmbox-client --stop
734123 - Rhythmbox 3.0.2 crashes if attempting to load pls stream before any other type
734235 - AAC tags are improperly parsed for the "year" field
735021 - daap source compilation failure with ubuntu 14.04
735056 - Rating stars are not vertically aligned in GtkTreeView listing
735083 - Rhythmbox crash when adding songs to a playlist
735954 - Right-clicking on song causes Segmentation fault
737053 - song-info ui files need update
737368 - rhythmbox.appdata.xml.in is in wrong location


Translation updates:

- ar, courtesy of Ibrahim Saed
- cs, courtesy of Marek Černocký
- de, courtesy of Wolfgang Stoeggl
- el, courtesy of Tom Tryfonidis
- es, courtesy of Daniel Mustieles
- fi, courtesy of Jiri Grönroos
- fr, courtesy of Claude Paroz
- gd, courtesy of GunChleoc
- hu, courtesy of Balázs Úr
- id, courtesy of Andika Triwidada
- ja, courtesy of Jiro Matsuzawa
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Rafael Ferreira
- ro, courtesy of Daniel Șerbănescu
- sk, courtesy of Dušan Kazik
- sl, courtesy of Matej Urbančič
- sv, courtesy of Anders Jonsson
- zh_TW, courtesy of Cheng-Chia Tseng


Overview of changes in Rhythmbox 3.0.3  "Devilfish"
===================================================

* Assorted bug fixes
* Embedded cover art no longer applied to following tracks

Bugs fixed:

632266 - "not enough space on the device" error when syncing (transcoding) flac files to removable device
682574 - upnp browsing problems with new grilo 0.2 rb-plugin built from git r2313d70 on 20120823
724931 - rhythmbox crashed with SIGSEGV in rb_list_model_find()
727254 - Please switch Paradise Radio default stream to include metadata
727437 - rhythmbox: gtk_menu_tracker_model_changed(): rhythmbox killed by SIGSEGV
727838 - Some grilo fixes
727937 - Wishlist: Rhythmbox unnecessarily announces "Not Playing" when I close it
730547 - External Plugin toolbar options wrongly spaced

Translation updates:

- ar, courtesy of Ibrahim Saed
- id, courtesy of Andika Triwidada
- sv, courtesy of Anders Jonsson
- th, courtesy of Kiatkachorn Ratanatharathorn


Overview of changes in Rhythmbox 3.0.2
======================================

* Assorted bug fixes

Bugs fixed:

678938 - Selectable text for playing song interferes with dragging by toolbar
692485 - application hangs clicking on devices with undefined playlist_path
701598 - rhythmbox seems to always be compiled with --enable-uninstalled-build
705105 - Rhythmbox while playing disables automatic screen lock
707144 - Rhythmbox doesn't support itmss:// links
707525 - Last.fm radio stations can't be properly deleted
707618 - Trying to play a file missing on disk crashes rhythmbox in
         rb-player-gst.c:516
708084 - podcast: Local file name is not escaped
708201 - Core dumped when running on Wayland
708341 - Transfer to mass storage player hangs after last song
710493 - Gdk assertion failed: invalid cairo image surface format
710832 - Removing a song from the Play Queue removes it from the Library
711285 - Cannot play remote files (sftp/gvfs) in library
712237 - Rhythmbox segfaults on broken cover images
712699 - Take into account the size of header button for column width
715177 - running rhythmbox-client --play-uri file:///path/to/song with
         rhythmbox closed only starts the app, not the song
719514 - cairo crash on playback whenever coverart search plugin is enabled
719777 - data: Add audio/mp4 as a supported mime-type
720116 - app menu: standardize Help/About/Quit
720217 - If transfer to device fails with non-sanitized filename, try with
         sanitized one
720819 - header: vertically centralize the "Not playing" label
721550 - License text contains obsolete FSF postal address
721758 - Please add search by genre
722069 - Incorrect links to the website
722782 - link to Rhythmbox Home Page is invalid
723839 - audioscrobbler: Invalid path passed to g_settings_new_with_path()
724931 - rhythmbox crashed with SIGSEGV in rb_list_model_find()
725625 - Absolute Radio Stations Should No Longer Be Included as Default
         (not streaming outside of UK)
726167 - .linked class is set on toolbar buttons instead of their container

Translation updates:

- cs, courtesy of Marek Černocký
- de, courtesy of Christian Kirbach
- es, courtesy of Daniel Mustieles
- fr, courtesy of Claude Paroz
- gl, courtesy of Fran Dieguez
- hu, courtesy of Gabor Kelemen
- it, courtesy of Milo Casagrande
- lt, courtesy of Aurimas Černius
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Rafael Ferreira
- pt, courtesy of Tiago S.
- ru, courtesy of Yuri Myasoedov
- sl, courtesy of Matej Urbančič
- sr, courtesy of Мирослав Николић
- sr@latin, courtesy of Miroslav Nikolić
- zh_CN, courtesy of YunQiang Su


Overview of changes in Rhythmbox 3.0.1  "I Am Nice To Tapes"
============================================================

* Assorted bug fixes

Bugs fixed:

706470 - metadata reader dbus connection doesn't work
708476 - daap source using wrong GSettings schema
709143 - static playlists sorted by artist name
708341 - task list doesn't update correctly sometimes

Translation updates:

- cs, courtesy of Marek Černocký
- de, courtesy of Benjamin Steinwender
- fi, courtesy of Jiri Grönroos
- sk, courtesy of Pavol Klačanský
- sr, courtesy of Мирослав Николић
- sr@latin, courtesy of Miroslav Nikolić
- zh_HK, courtesy of Cheng-Chia Tseng
- zh_TW, courtesy of Cheng-Chia Tseng


Overview of changes in Rhythmbox 3.0  "I Eat Tapes"
===================================================

* Plugins now use Python 3
* New task progress display below the track list
  (used for various things including track transfers and
   import jobs)
* Support for composer tags
* Restyled playback controls
* Restyled source list using symbolic icons
* Better introspection of everything
* Separate CBR and VBR encoding styles with different sets
  of exposed properties
* Playlist settings (browser visibility etc.) saved in 
  playlists.xml
* Better use of RTL icons where appropriate

Bugs fixed:

127939	support for composer/Music Director id3 tag in rhythmbox and the database
516846	Use short labels in toolbar
652892	Browser visibility is forgotten on program restart
672044	Man page for rhythmbox-client should be updated
675145	Provide an app menu
677645	Improve custom recording settings
697533	Several keyboard shortcuts don't work in 2.99
697915	XI_BadDevice errors
697959	Incorrect time shows briefly when song changes
698043	fix im-status plugin load
698429	click album or artist list -> window size returns
698460	macros/Makefile.in is kinda missing
698810	IM status plugin doesn't work
698979	ReplayGain plugin cannot load
700017	man: Remove --quit option
700177	rhythmbox fails to build introspection with Gtk 3.9
700401	replaygain crashes Rhythmbox on second play
700424	Impossible to unmaximize the main window by double clicking on the title bar
700590	rb-audiocd-source.c:1009: not doing musicbrainz lookup as we don't have a disc id
701032	No external plugins menu items visible in the Play Queue popup
701194	The library import tab does not update the available tracks
701307	No longer able to examine and respond to changes in RhythmDB
702679	exception hit when attempting to read an entry-view BPM column
702683	Ctrl+Space no longer pauses/plays current song
703624	"Add to playlist >" contextual menu item is disabled when inside a dynamic playlist
703626	"Browse" togglebutton/pushbutton is initially inconsistent
703627	Small UI nitpicks in 2.99.x: cut off inline toolbar, redundant separator widget
703798	App is reading wrong ID3 tag used to show Year
705307	Date tag not detected properly on FLAC files (and possibly others)
705427	Set button arrow icons according to locale's text direction
705626	Shortcuts missing
706760	Set button arrow icons according to locale's text direction
707082	IM status does nothing
707184	Song comments disappear after closing Rhythmbox
707360	Desktop file categories are wrong

Translation updates:

- ca, courtesy of Javi Ribera
- cs, courtesy of Marek Černocký
- de, courtesy of Christian Kirbach
- el, courtesy of Dimitris Spingos (Δημήτρης Σπίγγος)
- es, courtesy of Daniel Mustieles
- es, courtesy of Miguel Rodríguez Núñez
- fr, courtesy of Claude Paroz
- gl, courtesy of Fran Dieguez
- hu, courtesy of Gabor Kelemen
- it, courtesy of Milo Casagrande
- ja, courtesy of Jiro Matsuzawa
- lt, courtesy of Aurimas Černius
- lv, courtesy of Rūdolfs Mazurs
- nb, courtesy of Kjartan Maraas
- pa, courtesy of A S Alam
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Enrico Nicoletto
- ru, courtesy of Yuri Myasoedov
- si, courtesy of Danishka Navin
- sk, courtesy of Pavol Klačanský
- sl, courtesy of Matej Urbančič
- sr, courtesy of Мирослав Николић
- sr@latin, courtesy of Miroslav Nikolić
- th, courtesy of Kiatkachorn Ratanatharathorn
- zh_CN, courtesy of Wylmer Wang


Overview of changes in Rhythmbox 2.99.1  "Strip Light Hate"
===========================================================

* Several missing accelerator keys (re-)added
* XI_BadDevice crashes fixed

Bugs fixed:

697526 - Click Help menu -> Document Not Found in yelp
697527 - Click F1 key in rhythmbox -> No popup yelp
697534 - Add Alt+E keyboard shortcut for Edit menu
697915 - XI_BadDevice errors

No translation updates.

Overview of changes in Rhythmbox 2.99  "Future Delay Thinking"
==============================================================

* Menu bar replaced with app menu or menu button
* GStreamer 1.0
* Uses libsecret instead of gnome-keyring
* Supports GNOME notification filtering
* Small improvements to podcast browsing and updating
* Play button now turns into a pause or stop button while playing
* Buffering progress now appears in the song position slider
  rather than an unlabelled progress indicator in the status bar
* Media player sync works better with transcoded files


Bugs fixed:

376372 - if a podcast feed adds more than one podcast not all will be downloaded.
381196 - rhythmbox-client has no option to toggle shuffle/repeat
399012 - Rhythmbox wakes up too much
454239 - Rhythmbox should have an option to copy files to the default folder when importing
592455 - turning volume with ctrl+up/down arrow also skip the song
663440 - CD does not resume playing after pausing
672306 - Lyric plugin: buttons don't use mnemonics
673533 - No way in Rhythmbox 2.96 to see a *full* list of podcast subscriptions
674178 - fetch korean lyrics from jetlyrics.com
678032 - The interface freezes at launch
679880 - should use keywords in its .desktop entry
679982 - Can't delete libraries from last.fm
681469 - port to gstreamer 1.0
683375 - add shuffle toggle command line interface
684301 - artsearch: don't warn for GErrors enumerating files
685004 - Last.fm profile page's toolbar is shown when not logged in
685565 - error in dbus object path formatting
685820 - rhythmbox context plugin: unable to display Links tab
685821 - rhythmbox lyrics plugin: unable to set lyrics folder in preferences
685822 - rhythmbox lyrics plugin: DarkLyrics IndexError: list index out of range
685893 - rhythmbox lyrics plugin: some service no longer work
685910 - Make sure to ref objects when using them in an idle call
685945 - Disable the context pane plugin when webkit isn't available
686320 - Crashes when enabling visualiser plugin
686470 - eggwrapbox: Fix getting orientation as a property
687109 - help: port to new documentation infrastructure
688432 - Disable building of two static libraries by default
688515 - Bottom panel for plugin widgets is not shown
688638 - crash parsing musicbrainz audiocd search results
689413 - Crash on drag'n'drop of album cover
689883 - port visualizer plugin to gstreamer 1.0
689899 - Deadlock using the xfade backend
690113 - GStreamer-1.0: metadata - gst 1.0 audio_%d -> audio_%u
690235 - crashes when audio sink cannot be created
690993 - segfault in rb_track_transfer_batch_check_profiles()
692158 - Rhythmbox crashes when changing internet radio station genre
692941 - Support Notification Filtering GNOME feature
694293 - Plug some small leaks
694981 - Port from gnome-keyring to libsecret
696517 - fix linking lastfm plugin
697267 - Crash in rb-podcast-add-dialog.c


Translation updates:

- ar, courtesy of Ibrahim Saed
- cs, courtesy of Marek Černocký
- de, courtesy of Christian Kirbach
- de, courtesy of Mario Blättermann
- el, courtesy of Tom Tryfonidis
- es, courtesy of Daniel Mustieles
- fi, courtesy of Jiri Grönroos
- fr, courtesy of Claude Paroz
- gl, courtesy of Fran Dieguez
- hu, courtesy of Gabor Kelemen
- id, courtesy of Andika Triwidada
- it, courtesy of Milo Casagrande
- ja, courtesy of Akira Tanaka
- lt, courtesy of Aurimas Černius
- lv, courtesy of Rūdolfs Mazurs
- nb, courtesy of Kjartan Maraas
- nl, courtesy of Wouter Bolsterlee
- pa, courtesy of A S Alam
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Enrico Nicoletto
- ru, courtesy of Yuri Myasoedov
- sk, courtesy of Pavol Klačanský
- sl, courtesy of Andrej Žnidaršič
- sl, courtesy of Matej Urbančič
- sr, courtesy of Мирослав Николић
- sr@latin, courtesy of Miroslav Nikolić
- tr, courtesy of Muhammet Kara
- zh_CN, courtesy of Wylmer Wang
- zh_CN, courtesy of 甘露(Lu Gan)
- zh_HK, courtesy of Cheng-Chia Tseng
- zh_TW, courtesy of Cheng-Chia Tseng


Overview of changes in Rhythmbox 2.98  "Faults"
===============================================

* New dialog for importing music into the library
* New audio CD metadata lookup library, replacing libmusicbrainz
* Improved transitions between album art images
* Nautilus cluebar buttons now result in the right source
    being selected
* Update notification buttons when playback state changes
* Grilo plugin ported to grilo 0.2 API
* Search musicbrainz for album art by album and artist name
* Love/ban buttons visible in last.fm/libre.fm sources

Bugs fixed:

604734 - "Hide" (for MusicBrainz) is missing a mnemonic
653781 - No mention of ALT+S keyboard shortcut in documentation
671705 - lib: Fix deprecated use of g_value_get_char()
673956 - context pane won't resize properly
676007 - Configure doesn't work with dash
676689 - Switching from mp3 to ogg file cases Rhythmbox to stop playing
677079 - Remove markup from UI files
677464 - rhythmbox crashes on startup
677955 - Clicking under/above the time slider causes a pause of the slider and the time label
678138 - Opening properties dialog on MTP device that is not ready crashes Rhythmbox
678208 - Fix memory leak in rb_gst_media_type_matches_profile
678254 - Rhythmbox UI hangs when double clicking on visualisation window
678261 - --no-start option not working
678661 - context plugin uses insecure temporary directory
678923 - Clicking on the seek slider doesn't seek
678995 - Treeview in add podcast dialog lacks border
679222 - Untranslated strings in visualization plugin
679326 - Rhythmbox grilo plugin showing Optical Media when there is no optical media tray
680204 - Incorrectly displays the previous album cover on an album with no cover
680842 - preferences: don't free consumed floating GVariant
681018 - artsearch: try harder to find album art from musicbrainz
681178 - Rapidly switching between internet radio stations results in crash
681259 - audioscrobbler: use single image download for multiple data items
681924 - Notification Plugin: fix updating for Play/Pause
682309 - A bar appears to the left of the volume under some gtk themes
682404 - FTBS grilo plugin in latest git r7d5be17
682677 - cluebar content type buttons don't open app with item visible
682970 - podcast: Handle itms URLs if browser plugin is built
684142 - Last.fm "love track" button not present
684304 - [PATCH] Crash in monitor_entry_file()
684333 - grilo: fix reference counting

Translation updates:

- be, courtesy of Olya Matsuk
- de, courtesy of Christian Kirbach
- en_GB, courtesy of Bruce Cowan
- es, courtesy of Daniel Mustieles
- fa, courtesy of Arash Mousavi
- fi, courtesy of Jiri Grönroos
- fr, courtesy of Claude Paroz
- gl, courtesy of Fran Dieguez
- hu, courtesy of Gabor Kelemen
- id, courtesy of Andika Triwidada
- it, courtesy of Milo Casagrande
- ja, courtesy of Jiro Matsuzawa
- lt, courtesy of Aurimas Černius
- lv, courtesy of Rūdolfs Mazurs
- nb, courtesy of Kjartan Maraas
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Henrique P. Machado
- pt, courtesy of Filipe Gomes
- ru, courtesy of Yuri Myasoedov
- sl, courtesy of Matej Urbančič
- sr, courtesy of Мирослав Николић
- sr@latin, courtesy of Miroslav Nikolić
- te, courtesy of Praveen Illa
- th, courtesy of K Ratanatharathorn
- tr, courtesy of Muhammet Kara
- vi, courtesy of Nguyễn Thái Ngọc Duy


Overview of changes in Rhythmbox 2.97  "Blue Skied an' Clear"
=============================================================

* Uses libmusicbrainz4 for audio CD metadata
* New more compact header layout, including album art
* Deprecated artdisplay plugin
* Fixed buffering for network streams
* Configurable encoding settings for the library,
   using GStreamer presets or simple quality settings
* Doesn't preserve mtime on metadata updates
* Fixed audio CD extraction speed
* New podcast subscription interface, including iTunes
  and Miroguide searching and auditioning before
  subscription

Bugs fixed:

338452 - No menu item to toggle time slider visibility
343660 - Play controls waste space
344595 - song_position_slider_hidden not used on startup
419914 - Toggle elapsed time display style
447082 - move progress bar to the right of toolbar to preserve space
526838 - Drag and drop artwork won't accept images from browsers
540726 - Add a button to hide Cover art
608295 - Tooltips can hide important information
612274 - Cover Art Transitions are not smooth
635895 - UI: button order should be back, play, next
661217 - crash saving ipod playlists
661341 - Cannot drag'n'drop album art
665402 - Tooltips in toolbar obscure artist and song title
666010 - Disable downloading of cover art whilst showing embedded cover art
666066 - Crash everytime I start rhythmbox
668262 - low letters cut off at the bottom in "Now playing" song title
668395 - use libmusicbrainz4 for better metadata for multi-disc albums
668402 - Cover image not scaled correctly when side pane width changes
671706 - build: Remove use of -Werror
671839 - .gitignore: Add widgets/test-uri-dialog
671840 - Fix setting multiple tags with different values
671950 - typo in artsearch plugin
672084 - Preferences for Magnatune plugin crashes Rhythmbox
672198 - "Watch my library for new files" is broken
672410 - MPRIS playlists are not implemented correctly
672412 - missing libxml2 dependency
673799 - Hint box blocks track title
674897 - rb-client should use mpris.length to get duration
675345 - Unable to configure quality of preferred format
676860 - External native plugins FTBFS due to header that is not shipped
677318 - rhythmbox-client --set-rating does not work

Translation updates:
- ar, courtesy of Ibrahim Saed 
- bg, courtesy of Alexander Shopov 
- ca, courtesy of Joan Duran 
- cs, courtesy of Marek Černocký 
- de, courtesy of Christian Kirbach 
- en_GB, courtesy of Bruce Cowan 
- es, courtesy of Daniel Mustieles 
- fr, courtesy of Bruno Brouard 
- gl, courtesy of Fran Dieguez 
- hu, courtesy of Gabor Kelemen 
- id, courtesy of Andika Triwidada 
- it, courtesy of Luca Ferretti 
- ja, courtesy of Kentaro KAZUHAMA 
- lt, courtesy of Aurimas Černius 
- lv, courtesy of Rūdolfs Mazurs 
- pl, courtesy of Piotr Drąg 
- sl, courtesy of Matej Urbančič 
- sr, courtesy of Мирослав Николић 
- sr@latin, courtesy of Miroslav Nikolić 
- sv, courtesy of Daniel Nylander 
- te, courtesy of Praveen Illa 
- zh_CN, courtesy of YunQiang Su 


Overview of changes in Rhythmbox 2.96  "Spanish Air"
====================================================

* Revived Magnatune plugin
* Better handling of non-media files
* dbus media server plugin improved again

Bugs fixed:

454247 - rhythmbox audio CD related crash
622874 - Migrate from dbus-glib to GDBus
644045 - Clean extra white space on title/artist in TerraParser.py
654637 - Jamendo and Magnatune plugins are broken
661957 - Magnatune plugin crashes Rhythmbox on Fedora 16
663353 - Add Radio Paradise
667971 - new splash screen for Magnatune
668864 - fails to save edited lyrics
670666 - rhythmbox-metadata crash in connection_closed_cb
670772 - crashes when trying to sync ipod
671379 - crashes copying files to media player

Translation updates:
- ar, courtesy of Ibrahim Saed 
- be, courtesy of Olya Matsuk 
- bg, courtesy of Alexander Shopov 
- ca, courtesy of Gil Forcada 
- cs, courtesy of Marek Černocký 
- de, courtesy of Mario Blättermann 
- eo, courtesy of Kristjan SCHMIDT 
- es, courtesy of Daniel Mustieles 
- fr, courtesy of Claude Paroz 
- gl, courtesy of Fran Dieguez 
- hu, courtesy of Gabor Kelemen 
- it, courtesy of Luca Ferretti 
- lt, courtesy of Aurimas Černius 
- lv, courtesy of Peteris Krisjanis 
- nb, courtesy of Kjartan Maraas 
- pl, courtesy of Piotr Drąg 
- pt_BR, courtesy of Djavan Fagundes 
- sl, courtesy of Matej Urbančič 
- sr, courtesy of Мирослав Николић 
- sr@latin, courtesy of Miroslav Nikolić 
- sv, courtesy of Daniel Nylander 
- te, courtesy of Praveen Illa 
- uk, courtesy of Korostil Daniel 
- zh_HK, courtesy of Cheng-Chia Tseng 
- zh_TW, courtesy of Cheng-Chia Tseng 


Overview of changes in Rhythmbox 2.95  "In Mind"
================================================

* GTK+ 3, GObject introspection, GNOME 3 compatible
* New album art database
* Grilo plugin for UPNP and Jamendo
* Rewritten visualization plugin (using clutter)
* First steps in redesigning some parts of the UI that sorely need it
* New encoding profile system
* Plugins now based on libpeas
* Much improved dbus media server plugin

Bugs fixed:

160966 - Add "Comment" field as a criteria for automatically updating playlists
362876 - Problem editing APE tags in mp3s
424629 - handle multiple id3 tag sets better
427592 - ctrl+f for search bar
439893 - No warning about unsupported formats
446882 - use id3v2.3
458806 - Get rid of visualization modes
458816 - Is the visualization pop up really needed?
481321 - rhythmbox wakes up the dbus daemon every second
489097 - Wrong adjectives are used to describe visualization quality
503383 - A better place for the browser toggle
503586 - [upnp] export the share with an easier identifiable name
504415 - [upnp] display the content of some other UPnP server in the (hierarchical) exported form
520209 - transcoding should use easy codec installation when required
522254 - attempt to preserve file permission when editing tags
522256 - rhythmbox volume control lags
588586 - Activated encoding profile doesn't show up in "Preferred Format" drop down box
593186 - arch-independent files installed in $plugindir
594474 - Playlists are not exported over UPNP
594516 - Rhythmbox album art is blurred in notification bubbles
598764 - Rhythmbox should not play games with desktops
600122 - wrong shortcut for Show / Hide the Queue Sidebar
615096 - Quality of flac flike changes from "Lossless" to "Unknown" when it has a (cover) image embedded
619926 - Add support for MediaServerSpec Interface on DBUS
625892 - Port to GSettings
626236 - Migrate from PyGTK to PyGObject introspection-based bindings
628559 - MTP plugin claims my camera, blocking me from using it as a camera
633556 - libgnome-media-profiles has split from gnome-media
634858 - Rhythmbox does not show covers which are embedded into ID3 Tag
634957 - Lyrics plugin works, but context pane does not show lyrics.
639983 - Unable to install 13.3 on Ubuntu Maverick
640000 - Undefined 'ulong' type
640021 - Segfault during dacp pairing process.
640915 - Album art is displayed, but can't be opened
641352 - build failure due missing brasero-media.h
641417 - DAAP browse crashes rhythmbox with SIGABRT
641970 - crash in g_assertion_message_expr, split_query_by_disjunctions
642051 - Update for the Zeitgeist plugin
642614 - Default stations list contains some that are offline
642836 - shell: Add a way to start-up with plugins disabled
643165 - Podcast avoidance code doesn't work
644585 - Play queue is cleared on exit
645015 - Crash in g_object_unref, image_download_cb
645145 - crash on track switch after disabling status icon
645577 - Theme tweaks
645703 - error dialog at startup due to failing cover art plugin
645812 - Port to libpeas
645905 - Add missing #include "config.h" to make sure translations work
646239 - rhythmbox.pc references gtk 2
646405 - sometimes playback is not advanced to the next song
647032 - When clicking on "MIssing files" I get crash
647050 - Date translations will fail for a number of languages
647549 - Typo in rhythbox daap plugin causes build to fail
647775 - Zeitgeist plugins throws error
648225 - Artwork displayed when playing back mp3 picks first APIC found, not type "Cover (front)"
648956 - Deleted internet radio stations reappear when restarting Rhythmbox
649017 - Make PeasGtkPluginManager expand with plugins dialog
649019 - Add missing key 'sourcelist-hidden' to org.gnome.rhythmbox schema
649020 - RB fails to start with multiple library locations set
649224 - crash in Rhythmbox: Quit from menu after pre...
649231 - Crash in rb_station_properties_dialog_get_current_entry
649288 - DAAP Client cannot connect on non-standard ports
650043 - Device property dialog doesn't display volume usage
650191 - don't start after changing the display order of tracks
650848 - Remove libmusicbrainz option
650919 - sync reports incorrect number of files to add
650920 - syncing won't remove file from device
651198 - last/libre.fm data lists (i.e. Recent Tracks) do not resize correctly
651201 - Rhythmbox transcodes AAC (.m4a) to MP3 even when target device supports AAC
651852 - Play/Pause/Previous Missing from gnome shell notification
652488 - fixes for some UI glitches
652964 - Segfault when RBAudioscrobbler finalizes and queue needs saved
653187 - [im-status] 'ascii' codec can't decode byte outside range(128)
653900 - Rhythmbox does not copy m4a files to iPod
654357 - IM Status plugin fails to load
655760 - Toolbar reappears after programme restart
656759 - configure doesn't indicate whether or not the visualiser plugin is being built
657119 - Rhythmbox Lyrics Plugin Problem
657126 - Current git crashes just refreshing library
657185 - Rhythmbox crashes when attempting to extract a CD
658363 - MP3 player properties window makes rhythmbox crash
658801 - ngettext (Plural forms) needed for "Only showing %d results"
658917 - fix gsettings.m4 to properly install schema files on BSD systems
659261 - Grilo plugin try to clear the search_entry even if it did not create one
659467 - Missing plural handling for "%d tracks"
659508 - Visualizer plugin does not install its data file in the right directory
660351 - add pygobject 3.0 support
660775 - Rhythmbox has serious disk usage when changing volume.
661330 - Album Art plugin makes Rhythmbox crash on some files
661700 - rhythmbox fails to inhibit/uninhibit the gnome-session while playing a file.
661806 - Can't extract to FLAC format on Fedora 16
662146 - rhythmbox play button points backwards
662448 - artist/album browser not shown after returning from compact mode
662641 - Playlist for last.fm radios doesn't show artist, album and duration
663354 - No keyboard shortcut to give search box focus
663469 - Python plugins are not internationalized
663810 - rhythmbox crashed with SIGSEGV in rb_playlist_manager_get_playlists()
664680 - Can't change Library name for DAAP Music sharing
664831 - Failed to link new stream into GStreamer pipeline
666087 - lyrics plugin fails to load cached files
666338 - Clicking on DAAP share causes UI to fail
666668 - unbreak installation after CoverArtDatabase.py got removed
666773 - Untranslated strings in the audioscrobbler plugin
666894 - Rhythmbox dies with signal SIGINT interrupt
667014 - magnatune: icon missing from the tarball generated from master
667132 - [im-status] IM-status plugin fails to update status
667139 - broken DBus method PlaylistManager.GetPlaylists
667778 - Crash when playing an audio file

Translation updates:

- be, courtesy of Olya Matsuk 
- bg, courtesy of Alexander Shopov 
- ca, courtesy of Gil Forcada 
- cs, courtesy of Marek Černocký 
- da, courtesy of Byrial Ole Jensen 
- de, courtesy of Christian Kirbach 
- en_GB, courtesy of Bruce Cowan 
- eo, courtesy of Kristjan SCHMIDT 
- es, courtesy of Daniel Mustieles 
- et, courtesy of Mattias Põldaru 
- eu, courtesy of Iñaki Larrañaga Murgoitio 
- fi, courtesy of Timo Jyrinki 
- fr, courtesy of Claude Paroz 
- gl, courtesy of Fran Dieguez 
- hu, courtesy of Gabor Kelemen 
- it, courtesy of Luca Ferretti 
- ja, courtesy of Jiro Matsuzawa 
- kn, courtesy of Shankar Prasad 
- lt, courtesy of Aurimas Černius 
- lv, courtesy of Rūdolfs Mazurs 
- nb, courtesy of Kjartan Maraas 
- nl, courtesy of Wouter Bolsterlee 
- pl, courtesy of Piotr Drąg 
- pt_BR, courtesy of Gabriel F. Vilar 
- pt, courtesy of Filipe Gomes 
- ro, courtesy of Lucian Adrian Grijincu 
- ru, courtesy of Yuri Myasoedov 
- sl, courtesy of Matej Urbančič 
- sr, courtesy of Мирослав Николић 
- sr@latin, courtesy of Miroslav Nikolić 
- sv, courtesy of Daniel Nylander 
- te, courtesy of Praveen Illa 
- tr, courtesy of Muhammet Kara 
- uk, courtesy of Korostil Daniel 
- uk, courtesy of Сергій Гаврилов 
- vi, courtesy of Nguyễn Thái Ngọc Duy 
- zh_CN, courtesy of YunQiang Su 
- zh_HK, courtesy of Cheng-Chia Tseng 
- zh_TW, courtesy of Cheng-Chia Tseng 


Overview of changes in Rhythmbox 0.13.3  "Country Rain"
=======================================================

* Reimplemented source list, allowing for things that aren't sources
* Updated notifications, mostly for GNOME Shell
* Expose playlists in MPRIS and MediaServer2 DBus interfaces
* New context pane tab showing links to various websites (Kenny Meyer)

Bugs fixed:

510679 - Remember source list expander states
599294 - upnp_coherence: louie imports fail
609009 - Update media types in coherence plugin
622980 - Rhythmbox Documentation Typos
633531 - Rhythmbox can't load Cover-Art from musicbrainz
633542 - [PATCH] Automatic inserts an uri for a new radio station
634065 - Crash when ejecting iPod
634114 - Crash in rb_shell_get_player at rb-shell.c line 3442
635323 - Incorrect documentation of project code repository
635963 - Support new "Mix Radio" station type
635964 - Handle "deprecated station" error code
636482 - rhythmbox plugins do not compile if some relevant libraries are not in /usr prefix
636550 - [Context] Add tab with links to websites to context pane
637174 - [PATCH] Add support for radio station Start FM 94.2 (Vilnius University)
637819 - crash in impl_finalize at rb-mtp-thread.c line 773
639266 - NRK ogg vorbis streams have been shut down

Translation updates:
cs, courtesy of Marek Černocký
de, courtesy of Wolfgang Stoeggl
en_GB, courtesy of Philip Withnall
es, courtesy of Jorge González
et, courtesy of Mattias Põldaru
fr, courtesy of Bruno Brouard
fr, courtesy of Claude Paroz
gl, courtesy of Fran Diéguez
hu, courtesy of Gabor Kelemen
it, courtesy of Luca Ferretti
pt_BR, courtesy of Mateus Zenaide
ro, courtesy of Daniel Șerbănescu
ru, courtesy of Yuri Myasoedov
sl, courtesy of Andrej Žnidaršič
sv, courtesy of Daniel Nylander
vi, courtesy of Phạm Thành Long
zh_CN, courtesy of Yinghua Wang


Overview of changes in Rhythmbox 0.13.2  "Dagger"
=================================================

* Much improved Last.fm (and Libre.fm) plugin (Jamie Nicol's GSoC project)
* Support for DACP (iTunes remote) (Alexandre Rosenfeld's GSoC project)
* Zeitgeist plugin (developed by Markus Korn, Laszlo Pandy and Michal Hruby)
* New podcast sub-sources showing newly posted and recently downloaded episodes
* Slightly improved tntegration with the GNOME Shell message tray
* Various fixes for iPod support (Christophe Fergeau, Ben Walsh)

Bugs fixed:

341462 - Make current podcast downloads more visible
345957 - View last.fm profile
381679 - Add "record to profile" toggle to the last.fm plugin
589886 - Crash when selecting multiple podcast feeds
591841 - Crash processing playlist files from command line
592428 - Allow the user to select Libre.fm as their audioscrobbler service
601152 - can't really create playlists on iPod
604170 - Unable to change the order of files in an iPOD playlist
612156 - crash when stopping radio stream before playlist parsing has finished
618619 - Crash while getting properties from ipod shuffle
623200 - Add previous and play actions to notifications, and use id's that correspond to named icons
625030 - Use XSPF format for the default iRadio playlist
625054 - Rhythmbox transfers music to my generic MP3 player without file extensions
625214 - DACP Support in Rhythmbox
628254 - metadata helper crashes when tagging MP3 files that don't already have tags
628330 - rhythmbox still uses pkg-config to find vala
628791 - crash showing ipod properties if the ipod database can't be read
628794 - Rhythmbox can not share to iTunes 10 using DAAP
629038 - coherence plugin breakage
630689 - drop GtkObject use
631008 - Zeitgeist plugin
631191 - GStreamer MTP source element stopped working
631218 - don't open (some) iframes in podcast descriptions in new browser windows
631355 - Typo in string: "Listended"
631698 - Rhythmbox stars (ratings) not updated properly when scrolling up in the playlist
631817 - rhythmbox hangs when starting playing next audio cd track
632119 - Add WSUM 91.7FM (University of Wisconsin) to iRadio-Initial.pls
632475 - ipod "Remove from playlist" was completely removing from iPod
632655 - URL updates for Internet Radio stations
633531 - Rhythmbox can't load Cover-Art from musicbrainz

Translation updates:
- bg, courtesy of Krasimir Chonov
- ca@valencia, courtesy of Joan Duran
- cs, courtesy of Marek Černocký
- da, courtesy of Ask Hjorth Larsen
- de, courtesy of Christian Kirbach
- el, courtesy of Michael Kotsarinis
- es, courtesy of Jorge González
- et, courtesy of Mattias Põldaru
- gl, courtesy of Fran Diéguez
- hu, courtesy of Gabor Kelemen
- it, courtesy of Luca Ferretti
- ja, courtesy of Hiroyuki Sekihara
- ja, courtesy of Takayuki KUSANO
- lt, courtesy of Žygimantas Beručka
- nb, courtesy of Kjartan Maraas
- nl, courtesy of Redmar
- pa, courtesy of A S Alam
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Djavan Fagundes
- ru, courtesy of Yuri Myasoedov
- sl, courtesy of Andrej Žnidaršič
- sv, courtesy of Daniel Nylander


Overview of changes in Rhythmbox 0.13.1  "So Tired"
===================================================

* Support for MPRIS version 2
* RhythmDBEntryType converted to a GObject to improve binding sanity
* Improved handling of files on unmounted devices and network shares
  - Only attempts to check files on core filesystems and mounted local
    devices
  - Doesn't check files on network shares, relying on playback error
    reporting to identify missing files
* New less annoying method of handling invocation for media player devices
* rhythmbox-client now waits long enough to control a newly started instance
* More reliably imports and plays files specified on the command line
  (opening a file with nautilus will now do something useful most of the time)
* Use the current sorting column for typeahead searching
* Extended (static) vala bindings
* Initial implementation of the Rygel MediaServer2 D-Bus specification

Bugs fixed:

329984 - Type-ahead should work for any visible column
482813 - rhythmbox-client --enqueue doesn't work if uri not in library
488308 - blocks for 25s after volume key press sometimes
498582 - rhythmbox-client --enqueue won't cope with equals sign
544154 - RB to realize unmounted remote libraries
581076 - expansion of Vala bindings coverage
609542 - Signal for announcing end of "startup" phase i.e. scanning sources
623024 - Sync mp3 songs with MTP device failed
623153 - Different pop-up menu layout in playlists creation
623667 - Album Art not working - MTP
623992 - Compile errors in rhythmbox 0.13
624646 - New Default Rhythmbox Radio Stations
624895 - Rhythmbox fails to compile with libdmapsharing 2.0, DAAP plugin fails to enable.
625103 - gst encoder must strdup media_type
625105 - Sync state UI cannot show media disk usage >4GB on 32-bit OS
625124 - Improve RBEncoder and RBTrackTransferBatch error handling
625130 - Change encoding filter order
625375 - Crash in process_tag at rb-player-gst.c line 204
626608 - Add support for seek in rhythmbox-client
626986 - Please fix escaping of UTF-chars in ui file
627050 - metadata crawler aborts when files are modified
627396 - Switch to full-screen or leave full-screen visualization by double clicking the visualization canvas
627949 - IM Status plugin crashing with AttributeError: 'rhythmdb.EntryType' object has no attribute 'category'
627951 - crash on closing with g_hash_table_iter_init
628076 - Rhythmbox crashes on startup
628254 - segfault: trying to change properties of a song

Code contributors:

Andrea Del Signore
Bastien Nocera
Brian Cameron
Daniel Hams
Gabor Kelemen
Jonathan Matthew
Karl Ljungkvist
Philipp Kerling
Scott J. Goldman
Wladimir Leuschner
Zeeshan Ali (Khattak)


New and updated translations:

- cs, courtesy of Marek Černocký
- de, courtesy of Mario Blättermann
- en_GB, courtesy of Bruce Cowan
- eo, courtesy of Kristjan SCHMIDT
- es, courtesy of Jorge González
- et, courtesy of Mattias Põldaru
- fr, courtesy of Claude Paroz
- gl, courtesy of Fran Dieguez
- hu, courtesy of Gabor Kelemen
- ja, courtesy of Kiyotaka NISHIBORI
- nb, courtesy of Kjartan Maraas
- nn, courtesy of Åsmund Skjæveland
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Djavan Fagundes
- pt, courtesy of Filipe Gomes
- ru, courtesy of Yuri Myasoedov
- sl, courtesy of Andrej Žnidaršič
- sr, courtesy of Милош Поповић
- sr@latin, courtesy of Miloš Popović
- sv, courtesy of Daniel Nylander
- zh_CN, courtesy of YunQiang Su


Overview of changes in Rhythmbox 0.13.0  "Albatross"
====================================================

* Improved GStreamer codec installation (Jonathan Matthew)
* New metadata fields: comment (Josh Green), BPM (Mattias Eriksson),
  Album artist (JM)
* MMS and RTSP streams should work properly now (Robert Ancell)
* Always visible on startup when started manually (JM)
* New implementation of the MPRIS D-Bus interface spec (JM)
* Creates nested folders on MTP devices (JM)
* Installs header, VAPI and pkg-config files for external plugins (JM)
* DAAP plugin now uses libdmapsharing (W. Michael Petullo)
* Library, playlist and podcast syncing for media players (based on Paul
   Bellamy's Summer of Code project)
* Fixed interaction with Brasero for CD burning (Philippe Rouquier)
* New application icon (Lapo Calamandrei)
* Displays HTML podcast episode descriptions using WebKit (JM)
* Updates for Magnatune's new purchase process (Adam Zimmerman)

Bugs fixed:

310774 - Music player sync
320507 - Deal with HTML in Podcast Descriptions
324845 - Podcast syncing
341702 - Clobbers empty/nonexistent tags
404698 - Track transfer fails with "failed to find acceptable mime type"
454889 - Support for the BPM tag
457088 - track transfer on out of space messages stack up
501554 - generic audio player synchronization support
520046 - copying files to full iPod leaves 0-byte files scattered on the device
525094 - Grab lyrics from darklyrics.com
527898 - Assertion in rhythmdb_property_model_delete_prop()
530775 - Crossfade backend can't play Real Audio streams
537868 - Restore window when rhythmbox is closed from tray icon
538240 - Progress bar while copying to storage media is non-sensical
559849 - Human friendly names instead of language codes
560940 - support "Comment" id3 tag in rhythmbox
566852 - Move DAAP code to use common libdmapsharing
581885 - rhythmbox can't play mms radio
592470 - "Do you want to overwrite..." dialogue box lacks yes/no to all and cancel buttons
593641 - Folder support for MTP-Devices
593968 - problematic way of asking to skip files on copy
595425 - Use accessor functions instead direct access (use GSEAL GnomeGoal)
596615 - Use a single HTTP connection for podcast downloads where possible
612714 - IM Status plugin does not reset status message on end playback
612867 - Automatic playlists editor is missing "does not equal" in Rating criterions
612942 - After one error in radio streaming, rhythmbox fails with all radios channels.
613526 - Crash due to MTP device disappearing immediately after access
613941 - genre tab displays numbers in magnatune catalogue instead of genre names
614084 - Translatable string fixes
614139 - New icon
614184 - No python binding for rhythmdb_query_model_copy_contents
614351 - Crash due to playing stream signal emitted on non-main thread
616411 - crash when transferring files with no extension
616636 - use g_ascii_strtod to read the db version
617157 - use g_strcmp0 when checking properties in song info widget
617587 - fix python initialization code for python 2.6.6
618025 - Add KWUR to initial internet radio station playlist
618520 - implement MPRIS dbus spec
619247 - TerraParser does not catch all HTML entities
619576 - Brasero does not remove temporary projects because of G_SPAWN_FILE_AND_ARGV_ZERO in the plugin
619677 - Expose file grabbing functions to python plugins
619907 - Add more bindings for Vala
619925 - Add translator comment for "Volume usage"
620069 - add python bindings for the rating widget
620199 - fails to build: "pause" already used by eglibc <unistd.h>
620256 - RBSource has no default implementation for rb_source_can_pause
620857 - Support detection of files in the library being renamed/moved while rhythmbox is running
621434 - Source code typo in sources/rb-library-source.c
622215 - [Patch] Allow building rhythmbox with gtk+ 2.21.1 or newer
622613 - segfault in rb_player_gst_xfade_bus_cb
622723 - Sync string is used in two different contexts
622753 - segfault in rhythmdb_add_import_error_entry

New and updated translations:

- bg, courtesy of Krasimir Chonov
- cs, courtesy of Marek Černocký
- da, courtesy of Ask Hjorth Larsen
- de, courtesy of Mario Blättermann
- el, courtesy of Simos Xenitellis
- es, courtesy of Jorge González
- et, courtesy of Mattias Põldaru
- fr, courtesy of Claude Paroz
- gl, courtesy of Fran Diéguez
- hi, courtesy of karthik
- hu, courtesy of Gabor Kelemen
- it, courtesy of Luca Ferretti
- ko, courtesy of Kang Bundo
- lt, courtesy of Aurimas Černius
- pa, courtesy of A S Alam
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Daniel S. Koda
- sl, courtesy of Andrej Žnidaršič
- sr, courtesy of Милош Поповић
- sr@latin, courtesy of Miloš Popović
- th, courtesy of Theppitak Karoonboonyanan
- uk, courtesy of Sergiy Gavrylov
- zh_CN, courtesy of Funda Wang


Overview of changes in Rhythmbox 0.12.8  "Extradition"
======================================================

* Last.fm cover art search (Jonathan Matthew)
* Automatically unmount MTP devices mounted by gvfs (François Jaouen)
* More improvements to mixed-direction text display (Uri Sivan)

Bugs fixed:

482955 - rhythmbox crashed with SIGSEGV in rb_source_try_playlist()
520121 - MTP plugin fights with gvfs' gphoto2 backend
527898 - Assertion in rhythmdb_property_model_delete_prop()
528513 - have to run rhythmbox twice to see the main window
551402 - Cannot update list of episodes in podcasts
600494 - crash in Rhythmbox Music Player: (something to do with CD playback)
603261 - rhythmbox crashes during drag n drop of mp3 to iPod
607073 - rhythmbox crashed with SIGSEGV in rb_entry_view_scroll_to_entry()
609651 - Album Artwork Does Not Display Immediately For Embedded Artwork
610753 - Fix mixed-direction text in header widget
611541 - OGG files with skeleton stream are not imported
611714 - missing stock icons
611772 - Menubar: "show statusbar" menu entry doesn't get sync properly
612570 - rhythmbox crashed with SIGSEGV in g_closure_invoke()
613163 - Add a11y name to the status icon
613540 - [cppcheck] found a memory leak in /rhythmbox/plugins/mtpdevice/rb-mtp-source.c
613542 - [cppcheck] found a resource leak in rhythmbox/plugins/cd-recorder/rb-recorder-gst.
613606 - Don't load AFC devices using the MTP plugin
613658 - null string checking in RBSource_do_impl_search python binding
613715 - Rhythmbox crashes when iPhone is plugged in and MTP plugin is enabled
613784 - Reloads deleted podcasts

New and updated translations:

- af, courtesy of F Wolff
- bg, courtesy of Krasimir Chonov
- br, courtesy of Jérémy AR FLOC'H
- cs, courtesy of Lucas Lommer
- cs, courtesy of Marek Černocký
- de, courtesy of Christian Kirbach
- el, courtesy of Simos Xenitellis
- es, courtesy of Jorge González
- et, courtesy of Mattias Põldaru
- eu, courtesy of Iñaki Larrañaga Murgoitio
- fi, courtesy of Jiri Grönroos
- fr, courtesy of Pierre-Luc Beaudoin
- gl, courtesy of Fran Diéguez
- hu, courtesy of Gabor Kelemen
- it, courtesy of Luca Ferretti
- ja, courtesy of Hajime Taira
- lt, courtesy of Žygimantas Beručka
- nb, courtesy of Kjartan Maraas
- pl, courtesy of Piotr Drąg
- pt_BR, courtesy of Rodrigo Flores
- pt, courtesy of Filipe Gomes
- ro, courtesy of Adi Roiban
- ru, courtesy of Yuri Kozlov
- sl, courtesy of Andrej Žnidaršič
- sv, courtesy of Daniel Nylander
- uk, courtesy of Sergiy Gavrylov


Overview of changes in Rhythmbox 0.12.7  "It's a Hectic World"
==============================================================

* New ReplayGain plugin, replacing the old broken ReplayGain code (Jonathan Matthew)
* Nautilus-sendto plugin (Filipp Ivanov)
* Support for Magnatune streaming and download accounts (Adam Zimmerman)
* Support for pidgin in the IM status plugin (Mohamad Elrashidin Sajeli)
* Context pane plugin now uses the GTK+ font settings (JM)
* Support for artist and album sort names (Jamie Nicol)
* Now depends on GTK+ 2.16, GLib 2.18, and pygobject 2.16
  (no more libgnome, libgnomeui, gnome-vfs, or libsexy code anywhere)
* As GSEAL-ready as we can make it for now (Javier Jardón)
* Compatible with the new totem-plparser save API (Carlos Garnacho)
* Disentangled 'delete', 'remove', and 'remove from playlist' actions (JM)
* Improvements to display of mixed-direction text (Uri Sivan)
* Simplified selection of audio CD tracks to extract (JM)
* Playlist creation should work on more generic player devices now (JM)

Bugs fixed:

133444 - Use album and artist sort names ("Sort band list without 'The'")
316257 - forward / back mouse buttons should trigger next / previous songs
338221 - Rhythmbox ignores replaygain tags in DAAP streamed media
378355 - Magnatune plugin should not print CC# in debug output
384483 - Open cover in Image Viewer
424878 - The play button's tool tip "Stop playback" is misleading
485730 - Better labels for remove/move to trash
518540 - RTL Song title displayed on wrong side of other track info.
533727 - Support new Magnatune accounts
537483 - should be possible to import only selected audio cd songs
542055 - Sort order is not localized
547174 - Separate the filesystem scanning from the metadata content reading
559582 - Cleanups for -DG_DISABLE_DEPRECATED
564800 - GnomeGoals: Remove deprecated GTK+ symbols (again)
584593 - sample-vala plugin does not build
584704 - External MP3 players should delete files rether than move to trash
593188 - Manpages for rhythmbox and rhythmbox-client
594132 - python binding lacks enum RBMetaDataField
595795 - Portugu?s Lyrics - Patch to grab lyrics from letras.terra.com.br
601524 - Slider jumps around at the end of songs
602015 - Default 'label1' naming of the first Multiple Song info window
602140 - thread-related segfault in context panel plugin
602615 - fails to build if ld's --no-add-needed is used
602616 - strings being URI-unescaped twice in song info window
602679 - context: encode album names received from last.fm in utf8
603258 - mpid: don't destroy HAL context twice
603263 - compilation errors because of wrong g_print format
603444 - ignore hidden files while enumerating directories
603876 - LyricWiki should be deleted from the "Song lyrics" plugin
603929 - Rhythmbox unnecessarily modifying sound files
604186 - Remove gnome-vfs use in plugins
604188 - [upnp] Use GIO to get the face icon's mime-type
604189 - [artdisplay] Simplify save_pixbuf code
604292 - Use g_atomic_int_* when possible to handle refcounts
604771 - Adding context to some strings
605023 - IM Status Plugin patch for Pidgin support
605038 - Seg Fault When Going to Play List; Visualisation; Browse
605031 - add "Send to..." button to right click on the song
605313 - Use totem_pl_parser_save()
605583 - segfault if MTP device open fails
605584 - Race condition in MTP causes devices to fail to open
605725 - [context] doesn't use gtk font settings
606470 - Wrong title for MTP properties dialog
606472 - Bad alignment for labes in media player properties dialog
607263 - Playlist creation ignores playlist_format from .is_audio_player
607265 - M3U playlist is missing #EXTINF info
607538 - incorrect description for toolbar_style gconf key
607672 - Podcasts default to rating 3*
607897 - fix build with warnings=all
607935 - Crashes with SIGSEGV when trying to enable visualization
608397 - Rhythmbox does not create working playlists for Sansa Clip+
609306 - Changing between two sources without query models causes warnings
609767 - RTL tags in status icon bubble
609908 - compare track number when checking if tracks already exist on devices
609916 - CBC Radio 1 & 2 Live Feeds don't work
610440 - The user agent string must be used when connecting to DAAP shares
610643 - Fix linkage against librhythmdb.la
610655 - [patch] enum type mismatch
610657 - [patch] Linking fails due to multiple definition of _PyGObject_API, etc.

New and updated translations:
bg, courtesy of Krasimir Chonov
cs, courtesy of Marek Černocký
de, courtesy of Mario Blättermann
el, courtesy of Thanos Lefteris
en_GB, courtesy of Bruce Cowan
es, courtesy of Jorge González
et, courtesy of Mattias Põldaru
fr, courtesy of Claude Paroz
gl, courtesy of Fran Diéguez
hu, courtesy of Gabor Kelemen
it, courtesy of Luca Ferretti
lt, courtesy of Žygimantas Beručka
lv, courtesy of Peteris Krisjanis
pl, courtesy of Tomasz Dominikowski
pt_BR, courtesy of Rodrigo Flores
ro, courtesy of Adi Roiban
sl, courtesy of Andrej Žnidaršič
sr, courtesy of Милош Поповић
sr@latin, courtesy of Miloš Popović
sv, courtesy of Daniel Nylander
uk, courtesy of Sergiy Gavrylov
uk, courtesy of Сергій Гаврилов


Overview of changes in Rhythmbox 0.12.6  "Range Life"
=====================================================

* Context pane plugin (John Iacona's Google Summer of Code project)
* Power management plugin reworked to use new D-Bus API (Richard Hughes)
* MTP plugin reworked to do everything asynchronously (Jonathan Matthew)
* Volume slider levels match what PulseAudio displays (Bastien Nocera)
* Playback pipeline filter interfaces actually work properly now (JM)
* Much improved visualization performance when crossfading is enabled (JM)

Bugs fixed:

499048 - Filter insertion and removal on non-xfade backend is not robust.
499051 - xfade backend doesn't play nice with LADSPA filters (or is it the reverse ?)
499052 - Filter removal on xfade backend is not robust.
534981 - Add multi threading to MTP Support
564772 - MTP plugin crash when I plug-in my Creative Zen 32Gb
564800 - GnomeGoals: Remove deprecated GTK+ symbols
589845 - im-status: use mission control dbus interface
590474 - Podcast entry disappears from display during download
594901 - Rhythmbox fails to display cover image from id3 tag
595966 - leaked string in rb_stock_icons_init
596573 - [PATCH] Do not use gnome-power-manager for inhibits, instead use gnome-session
597706 - rhythmbox crashed with SIGSEGV in g_object_get()
597708 - rhythmbox crashed with SIGSEGV in rb_source_get_config_widget()
597708 - DAAP plugin doesn't link to libsoup
598135 - Should init error before call libhal_device_get_property_string
598302 - Use GDK spawn functions to handle multi-screen
598613 - Rhythmbox shows cover art of previous track in Notification Bubble if current track has no cover art
598955 - Use Cubic volume when StreaVolume interface is available
600058 - Feed is not parsed when title tag is empty
600513 - Generates invalid Brasero project
600549 - Crash when transferring a track over MTP with a slash in the track title
600624 - track information is not displayed correctly sometimes when playing internet radios
600995 - Elapsed time indicator is wrong when seeking
601352 - Crash while editing automatic playlist
601460 - Rhythmbox gets laggy when copying music to iPod
601528 - Play button doesn't work after finishing a playlist
602615 - rhythmbox fails to build if python bindings are built and ld's --no-add-needed is used

New and updated translations:

af, courtesy of F Wolff
bn_IN, courtesy of Runa Bhattacharjee
br, courtesy of denis
de, courtesy of Mario Blättermann
es, courtesy of Jorge González
et, courtesy of Mattias Põldaru
fr, courtesy of Claude Paroz
gl, courtesy of Antón Méixome
gu, courtesy of Sweta Kothari
hi, courtesy of Rajesh Ranjan
it, courtesy of Luca Ferretti
ja, courtesy of Takayuki KUSANO
kn, courtesy of Shankar Prasad
lt, courtesy of Žygimantas Beručka
lv, courtesy of Raivis Dejus
nb, courtesy of Kjartan Maraas
nds, courtesy of Nils-Christoph Fiedler
or, courtesy of Manoj Kumar Giri
pa, courtesy of A S Alam
pt_BR, courtesy of Djavan Fagundes
ro, courtesy of Adi Roiban
sl, courtesy of Andrej Žnidaršič
sv, courtesy of Daniel Nylander
ta, courtesy of I. Felix
te, courtesy of Krishna Babu K
zh_CN, courtesy of fujianwzh



Overview of changes in Rhythmbox 0.12.5  "Stop Breathin'"
=========================================================

* New cover art search code using discogs.com and MusicBrainz, replacing
  the Amazon cover art search that no longer works (Jonathan Matthew)
* Updated Coherence UPnP plugin (Frank Scholz)
* Clicking on the status icon summons the main window to the current
  workspace (Steve Frécinaux)

Bugs fixed:

410684 - MusicBrainz cover art search
590184 - Update .desktop file for new GenericName conventions
592404 - use correct icon name for the throbber
592763 - fix some button definitions so the button-images setting works
593494 - display location column in playlists if enabled
594008 - fix reading of symlinks with non-ASCII targets
594124 - fix incorrect variable name in gio chunk loader
594419 - disable non-functional lyricwiki search
594728 - deadlock setting replaygain-adjusted volume

New and updated translations:
br, courtesy of Denis ARNAUD
de, courtesy of Christian Kirbach
et, courtesy of Mattias Põldaru
eu, courtesy of Iñaki Larrañaga Murgoitio
ja, courtesy of Takayuki KUSANO
lt, courtesy of Žygimantas Beručka
pa, courtesy of A S Alam
pl, courtesy of Piotr Drąg
pt, courtesy of Filipe Gomes
sr, courtesy of Милош Поповић
sr@latin, courtesy of Miloš Popović
zh_HK, courtesy of Chao-Hsiung Liao
zh_TW, courtesy of Chao-Hsiung Liao


Overview of changes in Rhythmbox 0.12.4  "Raft"
===============================================

* New HAL-free media player detection code (using GUdev and
  the media-player-id collection of device info files); improved MTP
  device detection allowing multiple devices and devices not explicitly
  supported by libmtp (Jonathan Matthew)
* Audio CD improvements: allow metadata retrieval to be retried,
  link to the musicbrainz submission page when data is missing
  (Bastien Nocera, Matt N)
* Configurable action for mouse-wheel events on the status icon
  (volume control or next/previous track) (Gustavo Mora)
* Rearranged to link properly (should help building on Windows or
  with -Wl,-as-needed, probably) (Jonathan Matthew)
* Variety of crashes fixed (Jonathan Matthew)
* Occasional transfer problems with MTP devices fixed (Jonathan Matthew)

Bugs fixed:

322265 - Can't reload CD metadata
376863 - option to configure default action of mouse roll event on tray icon
437110 - librhythmbox-core.so missing some library links
535065 - If a cd is not listed in musicbrainz it can not be added
561953 - Scan Removable Devices don't works with MTP music players
563544 - rework MTP device detection for libmtp 0.3.0
580440 - lists with only one song don't repeat with both "repeat" and "shuffle" selected
585595 - crash at end of playlist with crossfading disabled
586598 - use streaming song titles for lyrics searches
587662 - improved warning message in python plugin support code
588248 - link last.fm plugin with libsoup-gnome
588257 - occasional crash on shutdown
590108 - crashes if there are no saveable metadata types
591874 - pack right sidebar with shrinking disabled
592325 - crashes initialising an iPod Touch

New and updated translations:

- ca, courtesy of Joan Duran
- da, courtesy of Mads Lundby
- de, courtesy of Christian Kirbach
- en_GB, courtesy of Bruce Cowan
- es, courtesy of Jorge González
- et, courtesy of Mattias Põldaru
- fi, courtesy of Tommi Vainikainen
- fr, courtesy of Claude Paroz
- gl, courtesy of Fran Dieguez
- gu, courtesy of Sweta Kothari
- hu, courtesy of Gabor Kelemen
- it, courtesy of Luca Ferretti
- ja, courtesy of Takayuki KUSANO
- kn, courtesy of Shankar Prasad
- nb, courtesy of Kjartan Maraas
- pa, courtesy of A S Alam
- pt_BR, courtesy of Og Maciel
- sv, courtesy of Daniel Nylander
- te, courtesy of Krishna Babu K
- th, courtesy of Theppitak Karoonboonyanan
- zh_CN, courtesy of fujianwzh


Overview of changes in Rhythmbox 0.12.3  "Perfect Depth"
========================================================

* Only attempts to install GStreamer audio decoder plugins
* More accurate lyrics and cover art searches
* Problems with M4A files in podcasts fixed
* CD playback and ripping improvements:
  * Fixed playback when crossfading is enabled
  * New entry fields for album artist, genre, year, disc number
  * Album artist is used when constructing filenames
  * Song title, genre, and artist can be edited in the track list
  * Increased extraction buffer size, meaning faster ripping
* Playback position slider updates more frequently
* Better behaviour with PulseAudio's flat volume
* Support for automatic proxy configuration (via libsoup-gnome)
* Clean up empty directories on media player devices
* Improved playback from MTP devices
* Some improvements manually added and IPv6 addressed DAAP servers

Bugs fixed:

331272 - track change notification should have Next button
345712 - automatic proxy configuration
349066 - cover art search inaccuracy
358313 - lyrics search inaccuracy
382906 - make the position-slider make run more smoothly
425239 - Last.fm paid member usability
437324 - Freeze when right-click -> Properties after start
479897 - Podcast containing m4a always returns failed upon download
501217 - Rhythmbox ignores http_proxy
502670 - Some typos in Rhythmbox's manual
516192 - crash when ejecting audio CD after metadata read failure
531310 - Update of documentation
537113 - attempts to install missing plugins for video and non-audio files
539007 - Gives up instantly on files if mime type isn't recognized
550491 - Use album artist information when importing from audio CD
556296 - crash due to missing podcast information in database
576005 - files played from MTP devices remain in /tmp afterwards
583108 - Song rating throught rhythmbox-client
583700 - Rhythmbox fails to import or play songs with forward slash from MTP devices
583934 - don't search for playlists on devices with no playlist format information
584182 - Additional areas for plugins to add UI elements
584248 - "Always show notifications" doesn't work accross restarts
584378 - undefined symbol in status-icon plugin
584394 - Tooltip for play button does not change to "Stop Playback" once track starts playing
584588 - Update libnotify required version to 0.4.1
584726 - Wrong icon sizes
584770 - minor translatable string fixes
584804 - audioscrobbler only sends one track with RBPlayerGst backend
584927 - daap: Fix “Host” HTTP header on manual daap
584930 - support for daap servers with ipv6 addresses
584958 - fix interaction with pulseaudio 0.9.15 flat volume feature
585043 - Last.fm playlist support
585114 - status-icon plugin build is broken (missing rb-marshall.h)
585524 - add_widget does not allow you to specify packing options
586363 - update for totem-pl-parser API additions
586365 - update for totem-pl-parser API additions
586803 - translator comment addition
586922 - proxy authentication not working for last.fm
586985 - crash when playback pipeline shutdown fails
587329 - allocating GValues in metadata helper incorrectly
587479 - crash when processing some metadata load errors
587595 - crash at end of playlist (playbin2)
587691 - always release gdk lock after calling loader callbacks

Contributors:

- Szilveszter Ördög
- Nguyễn Thái Ngọc Duy
- Sergey Rudchenko
- Edgar Luna
- John Iacona
- Jean-Philippe Garcia Ballester
- Markus Järvinen
- Stefano Frangioni
- Jonathan Matthew

New and updated translations:

- as, courtesy of Amitakhya Phukan
- de, courtesy of Mario Blättermann
- es, courtesy of Jorge González
- et, courtesy of Mattias Põldaru
- fr, courtesy of Claude Paroz
- gu, courtesy of Sweta Kothari
- he, courtesy of Mark Krapivner
- hu, courtesy of Gabor Kelemen
- it, courtesy of Luca Ferretti
- lt, courtesy of Žygimantas Beručka
- mr, courtesy of Sandeep Shedmake
- or, courtesy of Manoj Kumar Giri
- pa, courtesy of A S Alam
- pl, courtesy of Tomasz Dominikowski
- pt_BR, courtesy of Leonardo Ferreira Fontenelle
- sv, courtesy of Daniel Nylander
- ta, courtesy of I. Felix
- vi, courtesy of Phạm Thành Long


Overview of changes in Rhythmbox 0.12.2  "We Are Underused"
===========================================================

* Support for cover art images embedded in song metadata
* New plugin that sets your IM status to describe the current playing song
* Last.fm submission protocol v1.2 (including the 'now playing' feature)
* New status icon plugin
* Replaced libglade with GtkBuilder
* Switched from playbin to playbin2 when crossfading is disabled, providing
    gapless playback and better support for visualization

Bugs fixed:

* 158168 - Rhythmbox should minimize to tray on Exit
* 317982 - Notification icon redundant when applet is used
* 324114 - Minimize to nothing (no tray)
* 331019 - Show notification when unfocused but not minimized
* 345975 - Show album covers embedded in files e.g. mp3 ID3 tags
* 349280 - Move to GtkStatusIcon (Help kill libegg)
* 396409 - Radio stations using chained oggs break rhythmbox
* 397196 - rhythmbox error report "Unknown playback error" needs improvement
* 406807 - visualisation plugin blocks video output when not active
* 501998 - Mouse pointer should disappear in fullscreen visualization
* 509845 - Keyboard shortcuts should work with fullscreen visuals
* 526493 - New plugin: change IM status according played song
* 542922 - Use playbin2 instead of playbin
* 551002 - "Don't Really Close" should have an animation
* 562016 - Migrate from libglade to GtkBuilder
* 567335 - Crash in while playing file and visualizing
* 579137 - Cannot rearange playlists longer than one screen size
* 580269 - Rhythmbox won't compile with latest totem-pl-parser
* 580663 - WKNC Radio streams have changed URL
* 580721 - Crashes when not selecting the limiting kind
* 580743 - Rhythmbox doesn't support the newest audioscrobbler api
* 581468 - Missing im-status plugin file in POTFILES.in
* 581574 - Rhythmbox tries to import desktop files
* 582130 - [PATCH] New Jamendo Logo
* 583171 - crash due to plugins.ui not being installed
* 583926 - NetBSD doesn't have sys/vfs.h
* 583938 - Unportable test(1) construct in configure script

Contributors to this release:

- Bastien Nocera
- Christian Becke
- Jonathan Matthew
- Matt Novenstern
- Ryan Hughes
- Sebastian Morr
- Sergey Rudchenko
- Thomas Klausner
- Vincent Untz
- Víctor Manuel Jáquez Leal
- Will Woods

Updated translations
--------------------

- af, courtesy of F Wolff
- da, courtesy of Charlie Tyrrestrup
- de, courtesy of Christian Kirbach
- es, courtesy of Jorge González
- fr, courtesy of Claude Paroz
- gu, courtesy of Sweta Kothari
- hu, courtesy of Gabor Kelemen
- it, courtesy of Luca Ferretti
- ja, courtesy of Takeshi AIHANA
- ne, courtesy of Shyam Krishna Bal
- pa, courtesy of A S Alam


Overview of changes in Rhythmbox 0.12.1  "Easily Fooled"
========================================================

* Removal of libgnome dependency when building with gtk+ 2.14+
* Greatly reduced memory usage when accessing Jamendo catalog
* Cover art improvements:
  - Provide cover art for all songs transferred to iPods
  - Support for transferring cover art to MTP devices
  - Cover art image widget is better behaved when resized
* Switched to decodebin2, notably allowing playback of chained ogg streams
* Better support for lossless encoded files in the UI
* Compatibility with the DeviceKit-disks gvfs volume monitor
* Some support for 'album sortname' tags
* Allow configuration of the audioscrobbler handshake URL (libre.fm)
* Improved network buffering in the crossfading player backend

Bugs fixed:

* 576031 - crasher at end of playlist
* 513828 - tooltip for clean icon in the entry search
* 529873 - The artdisplay plugin should be able to supply metadata for
           arbitrary db entries
* 576238 - crash due to extra mutex unlock call
* 510236 - crash when an import error occurs on a PSP or n770 device
* 576846 - crash when creating an auto playlist with the browser visible
* 576987 - minor string issues
* 576925 - shortcut key for the 'download location' entry doesn't work
* 576673 - shortcut key for the 'rating' label in the song properties window
           doesn't work
* 365154 - crash when changing the selected device for audio CD burning
* 576038 - stop using libgnome
* 577840 - race condition in audio sink setup code when playing network
           streams or audio CD
* 577465 - Magnatune plugin is not robust
* 578060 - musicbrainz3 CD metadata getter crash if the release has no date
* 337438 - display and sort on bitrate properly for lossless encodings
* 576574 - musicbrainz3 CD metadata getter crash if there is no release
* 426164 - resizing sidebar results in bad cover art image quality
* 443720 - art image shown only partially after side bar resize
* 578514 - Player detection broken with DeviceKit-disks gvfs monitor
* 578398 - crash when updating podcast feeds containing entries with empty URIs
* 570600 - rhythmbox picks bad filenames for ipod
* 577753 - rhythmbox does not support album sort tag
* 473757 - crash when lyrics window is destroyed while still fetching lyrics
* 579262 - stop playback properly after missing plugin install fails
* 579465 - bizarre crash in volume monitoring code
 

Contributors to this release:

- Jonathan Matthew
- Christophe Fergeau
- Kim Sullivan
- Bastien Nocera
- Niels Vorgaard Christensen
- Bruce Cowan
- Paul Bellamy
- Robert Ancell
- Sebastian Dransfeld

Updated translations
--------------------

en_GB: Bruce Cowan
es: Jorge González
eu: Iñaki Larrañaga Murgoitio
fi: Ilkka Tuohela
fr: Claude Paroz
hu: Gabor Kelemen
it: Luca Ferretti
kn: Shankar Prasad
mr: Sandeep Shedmake
pa: Amanpreet Singh Alam
pt_BR: Og Maciel
ru: Yuri Myasoedov
sv: Daniel Nylander
th: Theppitak Karoonboonyanan
zh_CN: Funda Wang
zh_HK: Chao-Hsiung Liao
zh_TW: Chao-Hsiung Liao


Overview of changes in Rhythmbox 0.12.0  "Flood Victim"
=======================================================

* Replaced gnome-vfs with GIO
* New CD burning plugin using Brasero
* Improvements to the cross-fading player backend
* Various improvements to MTP device support
* Updated audio CD metadata code, supporting CD-Text and musicbrainz3
* User data and cached files moved to XDG base directory spec locations
* Much clearer indication of problems with last.fm login and streaming
* Where possible, provide a simple means to duplicate audio CDs
* Greatly improved performance when accessibility is enabled
* Updated Coherence UPnP plugin
* iPod improvements: avoid creating duplicates, add a device properties
   dialog, initialize brand new ipods
* Support for more last.fm stream types
* GTK+ and GLib usage cleanups: use single header includes,
   stop using deprecated functions and widgets
* Reworked tray icon tooltip using GtkTooltip instead of SexyTooltip
* Random play order should repeat itself far less often
* If using pulseaudio, control the output volume using the PA stream volume
* Reworked search infrastructure that might make interesting things possible

Contributors to this release:
- Pascal Terjan
- "OrbWeaver"
- Brian Cameron
- Philippe Rouquier
- Bastien Nocera
- Jonathan Matthew
- Tim Retout
- Mike Gratton
- Víctor Manuel Jáquez Leal
- Neil Loknath
- Oscar Morante
- Alban Crequy
- John Daiker
- Andy Owen
- Uri Sivan
- Michael Terry
- Pedro Fragoso
- Christophe Fergeau
- James "Doc" Livingston
- Patrick Wade
- Luca Ferretti
- Flavio Martins
- Takao Fujiwara
- Jason Crain
- Susana Pereira
- Pelle Kristiansson
- John Wimer
- Lasse Bigum
- Martin Franco
- Steven Brown
- Kjartan Maraas
- Maxim Ermilov
- Ed Catmur
- Paul Drain
- William Jon McCann
- Johan Frank
- Mika Wahlroos
- Bruno Prin
- Eric Shattow
- Colin Leroy
- Ernst Persson
- John Millikin
- Linus Walleij
- Johannes H. Jensen
- Raul Soriano
- Wendy Hu
- Sebastien Bacher
- Matthias Clasen
- Dereck Wonnacott

Updated translations
--------------------

ar: Ahmad Farghal
be@latin: Ihar Hrachyshka
ca: Joan Duran, Francesc Vilches
cs: Kamil Paral, Petr Kovar
da: Kasper Nielsen
de: Christian Kirbach, Jochen Skulj
en_GB: Philip Withnall
es: Jorge González, Vincent van Adrighem
eu: Iñaki Larrañaga Murgoitio, Inaki Larranaga Murgoitio
fi: Ilkka Tuohela
fr: Claude Paroz
ga: David O'Callaghan <david
gl: Ignacio Casal Quinteiro
he: Mark Krapivner
hr: Robert Sedak
hu: Gabor Kelemen
it: Luca Ferretti
ja: Mitsuya Shibata
lt: Žygimantas Beručka, Gintautas Miliauskas
lv: Raivis Dejus
mk: Arangel Angov
nb: Kjartan Maraas
nl: Tino Meinen
pl: Tomasz Dominikowski
pt: Filipe Gomes
pt_BR: Vladimir Melo, Raul Pereira
ru: Yuri Myasoedov
sk: Peter Tuhársky
sr.po, sr@latin: Goran Rakić
sv: Daniel Nylander
th: Theppitak Karoonboonyanan
vi: Nguyễn Thái Ngọc Duy, Phạm Thành Long
zh_CN: 甘露(Gan Lu), Funda Wang
zh_HK: Chao-Hsiung Liao
zh_TW: Jackden, Funda Wang




Overview of changes in Rhythmbox 0.11.6  "Haunt You Down"
=========================================================

* Relicensed with GPL exception for GStreamer plugins
* Improvements to the cross-fading playback backend
* Use Amazon ECS 4.0 web service for cover art searches
* Remember browser state for (some) removable devices
* Automatically remove podcast episodes that are no longer available
* Only display error dialogs for manually triggered podcast updates
* Allow playlists from DAAP shares to be sorted
* Fix transcoding when transferring to MTP devices
* Start moving cached data to XDG_CACHE_HOME
* More inclusive local cover art search
* Lots of improvements to the iPod plugin
* Switch to the new last.fm streaming system
* Much improved API documentation coverage


Contributores to the release:
- Thomas Andersen
- Sebastien Bacher
- Niels Vorgaard Christensen
- Jay Cornwall
- Paul Drain
- Christophe Fergeau
- Luca Ferretti
- Marcin Galazka
- Alexander Gitter
- Maximilian Grothusmann
- Andreas Henriksson
- Jeremy Katz
- Colin Leroy
- James Livingston
- Edgar Luna
- Nikolai Luthman
- Jonathan Matthew
- John Millikin
- Mirco Müller
- Bastien Nocera
- Alfredo Pironti
- Frank Scholz
- Shogun
- Sjoerd Simons
- F. Steinel
- Mats Taraldsvik
- Philippe Troin
- David Turner
- Mika Wahlroos
- Colin Walters
- Thomas Zander
- Adam Zimmerman

Updated translations
--------------------

Petr Kovar, Kamil Páral (cs)
Jochen Skulj (de)
Simos Xenitellis (el)
Jorge Gonzalez (es)
Claude Paroz (fr)
Ignacio Casal Quinteiro (gl)
Mark Krapivner (he)
Luca Ferretti (it)
Žygimantas Beručka (lt)
Arangel Angov (mk)
Kjartan Maraas (nb)
Tino Meinen (nl)
Yannig Marchegay (Kokoyaya) (oc)
Tomasz Dominikowski (pl)
Vladimir Melo, Fábio Nogueira (pt_BR)
Peter Tuhársky (sk)
Daniel Nylander (sv)
甘露(Lu Gan) (zh_CN)



Overview of changes in Rhythmbox 0.11.5
=======================================

* Improvements to the cross-fading playback backend
* Assorted bug fixed for MTP device support
* Add "shuffle playlist" command for playlists
* Improvements to iPod art and podcast support
* Fix some issues causing problems for accessability tools
* Several major improvements to UPnP support (including acting as a renderer)
* List Rhythmbox as supporting lastfm:// URIs

Contributors to the release:
- Djihed Afifi
- Sebastien Bacher
- Damien Carbery
- Ed Catmur
- Jay Cornwall
- Christophe Fergeau
- Ralph Giles
- Kern Handa
- Ryan Hughes
- Alex Kloss
- Karol Krizka
- Jonathan Matthew
- Mirco Müller
- Claude Paroz
- Frank Scholz
- Sam Solon
- Kouhei Sutou
- Götz Waschk
- Dan Winship
- Li Yuan
- David Zeuthen

New translations
----------------

* ps		Zabeeh Khan

Updated translations
--------------------

* ar		Ahmad Farghal
* be@latin	Ihar Hrachyshka
* ca		Gil Forcada, David Planella
* cs		Kamil Paral
* da		Kenneth Nielsen
* de		Hendrik Richter
* en_GB		Philip Withnall
* es		Jorge Gonzalez
* eu		Inaki Larranaga Murgoitio
* fi		Ilkka Tuohela
* fr		Claude Paroz, Stéphane Raimbault
* ga		Seán de Búrca
* gl		Ignacio Casal Quinteiro
* he		Mark Krapnov
* hu		Gabor Kelemen
* it		Luca Ferretti
* ja		Takeshi AIHANA
* lt		Žygimantas Beručka, Gintautas Miliauskas
* mk		Jovan Naumovski
* nb		Kjartan Maraas
* ne		Pawan Chitrakar
* nl		Tino Meinen
* oc		Yannig Marchegay
* pl		Artur Flinta
* pt		Filipe Gomes
* pt_BR		Og Maciel
* ru		Yuri Myasoedov, Anton Shestakov
* sk		Peter Tuhársky
* sv		Daniel Nylander
* tr		Gil Forcada
* zh_HK		Chao-Hsiung Liao
* zh_TW		Chao-Hsiung Liao


Overview of changes in Rhythmbox 0.11.4 ""
==========================================

* Support automatic GStreamer plugin installation
* Improved cross-fading backend
* Improved Podcast feed support, including Atom and APML
* Add optional mozilla plugin to handle itms:// links
* Fade volume when pausing and unpausing
* Improve performance and stability of MTP device support
* Stop putting deleted tracks on iPods in the Garbage Bin
* Support PSPs with newer firmware
* Improvements to the Coherence-based UPnP support
* Minor improvements to Python bindings for plugins

Contributors to the release:
- John Daiker
- Louis Francis
- Irene Huang
- James Livingston
- Jonathan Matthew
- Andreas Nilsson
- Bastien Nocera

Updated translations
--------------------

* be@latin	Ihar Hrachyshka
* de		Andre Klapper
* es		Jorge Gonzalez
* fr		Robert-André Mauchin
* ga		Seán de Búrca
* gl		Ignacio Casal Quinteiro
* it		Luca Ferretti
* ja		Takeshi AIHANA
* ka		Namhyung Kim
* lt		Žygimantas Beručka
* nb		Espen Stefansen
* pt		Filipe Gomes
* sv		Daniel Nylander

Overview of changes in Rhythmbox 0.11.3 "Splinter"
==================================================

* Allow drag-and-drop of images to the cover art display
* Allow DAAP shares to be connected to manually
* Support DAAP smart playlists and radio streams
* Handle file name being passed on the command line again
* Add "donate to artist" action to Jamendo plugin
* Support some more lyric sites
* Improvements and fixes to the cross-fading player
* Improve UPnP support
* Improve track importing, especially on generic audio players
* Allow python plugins to use threads
* Enable music store plugins by default
* Support playback from fm radio tuner cards

As well as a heap of bug fixes.

Contributors to the release:
- Paolo Borelli
- John Bryant
- Brian Cameron
- Ed Catmur
- Cosimo Cecchi
- Tim Chevalier
- Jay Cornwall
- Jeff Craig
- Paul Drain
- Nguyen Thai Ngoc Duy
- James Henstridge
- David Keijser
- Alex Lancaster
- James Livingston
- Stephane Loeuillet
- Jonathan Matthew
- Bastien Nocera
- Tom Parker
- Tim Retout
- Claudio Saavedra
- Torsten Schoenfeld
- Kouhei Sutou
- Mika Wahlroos
- Philip Withnall
- Austin

Updated translations
--------------------

* ar		Djihed Afifi
* be@latin	Ihar Hrachyshka
* ca		Francesc Vilches
* cs		Martin Picek
* en_CA		Adam Weinberger
* es		Jorge Gonzalez
* eu		Inaki Larranaga Murgoitio
* fi		Ilkka Tuohela
* fr		Stéphane Raimbault
* gl		Ignacio Casal Quinteiro, Iván Méndez López
* hu		Gabor Kelemen
* it		Luca Ferretti
* ja		Takeshi Aihana
* lt		Žygimantas Beručka, Gintautas Miliauskas
* lv		Raivis Dejus
* mk		Jovan Naumovski
* nb		Kjartan Maraas, Espen Stefansen
* nl		Tino Meinen
* pl		Artur Flinta
* pt_BR		Og Maciel, Pedro de Medeiros
* ro		Alex Eftimie
* sk		Peter Tuharsky
* sv		Daniel Nylander


Overview of changes in Rhythmbox 0.11.2 "Inverted Ouroboros"
============================================================

* add partial support for UPnP A/V using Coherence
* large memory usage reductions for the Jamendo plugin
* read some keys from .is_audio_player files, like Banshee
* handle playlist-paths given to us by HAL better
* allow plugins to add new play orders
* notify last.fm about songs played on iPods

As well as a heap of bug fixes.

Contributors to the release:
- Jürg Billeter
- Dennis Cranston
- Christophe Fergeau
- Luca Ferretti
- Alex Lancaster
- Eduardo Lima
- James Livingston
- Jonathan Matthew
- Bastien Nocera
- Tim Retout
- Adam Zimmerman

Updated translations
--------------------

* dz	Pema Geyleg
* eu	Inaki Larranaga Murgoitio
* fi	Ilkka Tuohela
* fr	Claude Paroz
* gl	Ignacio Casal Quinteiro
* it	Luca Ferretti, Giuseppe M
* lt	Žygimantas Beručka
* lv	Raivis Dejus
* pl    Artur Flinta
* pt_BR	Vladimir Melo, Evandro F. Giovani, Og Maciel
* sv	Daniel Nylander
* vi	Nguyễn Thái Ngọc Duy


Overview of changes in Rhythmbox 0.11.1 "<codename:insert/>"
==============================================================

* more new icons
* make gapless/xfade playback and visualisations work together better
* handle lastfm:// URIs
* make Magnatune/Jamendo loading intro saner on small screens
* fix last.fm streaming
* allow the user of Magnatune gift cards
* do iPod DB saving in the background, not blocking the UI
* vastly reduce the Jamendo plugin's memory usage
* add support for MTP audio players
* clean up the playback preferences UI
* update play count, rating and last played on iPods
* add support for multiple lyrics sites, and allow editing of lyrics

Plus the usual other bug fixes and minor improvements.

Contributors to the release:
- Christophe Fergeau
- Luca Ferretti
- Peter Grundström
- Jaap A. Haitsma
- Alex "weej" Jones
- James Livingston
- Jonathan Matthew
- Michael Monreal
- Bastien Nocera
- Tom Parker
- Riley Patterson
- Sirio Bolaños Puchet
- Tim Retout
- Adam Zimmerman


Updated translations
--------------------

* es    Maria Majadas
* gl    Ignacio Casal Quinteiro
* nl    Reinout van Schouwen
* pl    Artur Flinta
* sv    Daniel Nylander
* vi    Phạm Thành Long
* zh_CN Funda Wang


Overview of changes in Rhythmbox 0.11.0 "Rough in the diamond"
==============================================================

* Add gapless/cross-fading playback backend (130426)
* Add awesome Tango-style icons (388648, 380896, 388650, 314608)
* Don't wake up the CPU all the time while doing nothing (399012)
* Allow plugins to add filer and tee elements/sub-piplines
  to the gstreamer pipeline (345181)
* Group sources together (359740)
* Add DB support for keywords (324540)
* Save modified iPod playlists (436744), and
  marks podcasts as such (424086)
* Fix Unicode normalisation, which also makes searching
  ignore diacritical marks (421253, 338824)
* Use xdg-user-dirs, and kill the druid (yay!) (411247)
* Write art out to the DB on iPods (357400)
* Parse last.fm group radio URLs too (407320)
* Add support for MusicBrainz id tags (410681)
* Minor improvements to the cover-art plugin
* Retrieve cover art from last.fm (414065) and Magnatune (411622)
* Add some more useful options to rhythmbox-client (414648)
* Add preliminary support for Vala plugins
* Use GSequence instead of EggSequence (419599)
* plus a heap of bug fixes and minor improvements

This release also drops support for:
- GStreamer 0.8
- GTK+ 2.6
- DBus 0.3x before 0.35
- HAL 0.2

Contributors to the release:
- Hylke Bons
- Kjell Braden
- Ed Catumur
- Christophe Dehais
- Paul Drain
- Edward Duffy
- Christophe Fergeau
- Andreas Hanke
- Denis Jacquerye
- Alex "weej" Jones
- Gabor Kelemen
- Alex Lancaster
- James Livingston
- Jonathan Matthew
- William Jon McCann
- Matt N
- Andreas Nilsson
- Jonty Pearson
- Brian Pepple
- Tim Retout
- Edward Rudd
- Robin Sonefors
- Adam Zimmerman
- 'William'


Updated translations
--------------------

* ar    Djihed Afifi, Ahmad Farghal
* ca    Josep Puigdemont i Casamajó
* de    Hendrik Brandt, Sven Herzberg
* fi    Tommi Vainikainen
* fr    Stéphane Raimbault
* gl    Ignacio Casal Quinteiro
* hu    Gabor Kelemen
* lt    Žygimantas Beručka
* nl    Reinout van Schouwen
* pt    Filipe Gomes
* pt_BR Washington Lins
* sv    Daniel Nylander
* zh_CN Funda Wang


Overview of changes in Rhythmbox 0.10.1 "Diamond in the rough"
==============================================================

* fix saving of db on iPod shuffles (386662)
* fix some crashes on Solaris (418886)
* fix crasher due to python logging (429687)
* fix crash when MusicBrainz returns nothing (414864)
* prefer id3v2 over v1, even when they arrive later (428276)
* fix crash when doing entry.get() from python (432949)
* cancel async gnomevfs transfers correctly (434003)
* fix query model reorder issues (436329)
* remove timeout correctly (436355)
* don't remove items from list being iterated (404169)
* build against totem-plparser 2.19's new API

Contributors to the release:
- Christophe Fergeau
- Irene Huang
- James Livingston
- Jonathan Matthew
- Bastien Nocera


Updated translations
--------------------

writeme


Overview of changes in Rhythmbox 0.10.0 "The City Above"
========================================================

* Fix assorted crashers (410601, 411783, 411558, 411189, 413206, 393642, 416024)
* fix build issues (411141, 380411, 411145, 413301, 419874)
* Fix typos (411584, 413640)
* stop some critical warnings (411703)
* Improve Jamendo error handling (411038)
* Make compatible with libsoup other than 2.2.99 (410940)
* Italisise Magnatune text correctly (412931)
* Fix some memory leaks
* Use AudioScobbler logo properly (409164)
* Don't cause gnome-power-manager to start (416213)
* Fix some threading issues (420444)
* Don't add files starting with a period (395124)
* Improve Magnatune error handling (414980)
* Fix sizing of playlist format combo box (419153)
* Copy MP3s to audio players without lame installed

Contributors to the release:
- Kjell Bradan
- Gilles Dartiguelongue
- Nguyen Thai Ngoc Duy
- Christophe Fergeau
- Andreas Hanke
- Irene Huang
- Alex Jones
- James Livingston
- Og Maciel
- Jonathan Matthew
- Julien Puydt
- Edward Rudd
- Adam Zimmerman


Updated translations
--------------------

ar	Ahmad Farghal
da	Peter Bach
dz	Pema Geyleg
en_GB	David Lodge
fr	Claude Paroz and Stéphane Raimbault
hu	Gabor Kelemen
it	Luca Ferretti
pt_BR	Lucas Mazzardo Veloso, Og Maciel and Raul Pereira
sv	Daniel Nylander
zh_CN	Funda Wang


Overview of changes in Rhythmbox 0.9.8 "Type slowly"
=====================================================

* move to SVN and move round lots of files. yay!
* use "friendly" date-time in track list (William Jon McCann)
* add visualisation plugin (JOnathan Matthew)
* support more lastfm:// URIs (Jonathan Matthew)
* split code out into a library common to plugins and the binary (Jonathan Matthew)
* display cover art in the tray icon tooltop and song-change notification (Ed Catmur)
* Magnatune improvements (Adam Zimmerman)
* core art improvements, support art for podcasts et al (Ed Catmur, Martin Szulecki)
* Python plugin improvements (James Livingston, Jonathan Matthew)
* add support for the Jamendo online catalogue (Guillaume Desmottes)
* support new Gnome "media key" mechanism (James Livingston, Jonathan Matthew)
* support track transfer for "generic" audio players, and improve iPod
  track transfer support, including transcoding (James Livingston)
* many build/run issues on Solaris (Irene Huang)
* Nokia N800 support (William Jon McCann)
* Many core improvements, for future work
* the usual pile of minor features and bug fixes

Updated Translations
--------------------

* ca	Jordi Mallach
* da	Peter Bach
* de	Hendrik Brandt
* en_CA	Adam Weinberger
* en_GB	David Lodge
* fr	Jonathan Ernst and Stéphane Raimbault
* gl	Ignacio Casal Quinteiro
* hi	Gaurav Mishra (NEW)
* it	Luca Ferretti
* lt	Žygimantas Beručka
* nl	Tino Meinen
* pl	Artur Flinta and the Gnome Polish Team
* pt_BR	Guilherme de S. Pastore
* sv	Daniel Nylander
* vi	Nguyễn Thái Ngọc Duy


Overview of changes in Rhythmbox 0.9.7 "I love Perth"
=====================================================

* Use gnome-power-manager to inhibit suspend while playing (Jonathan Matthew)
* Add support for transient metadata (Ed Catmur)
* Plugin-ise Internet radio support (Jonathan Matthew)
* Add support for the MagnaTune online store (Adam Zimmerman)
* Add support for playin Last.fm radio streams (Matt N)
* Even more support for broken podcast feeds (Alex Lancaster)
* Display placeholder when no cover art can be found (Ed Catmur)
* Build fixes (Brian Cameron, Gilles Dartiguelongue, Alex Lancaster)
* Improve the python console (Brian McKenna)
* Ask the user if MusicBrainz returns multiple albums (Edgar Luna)
* Refactor support for "streaming" sources (Jonathan Matthew)
* Let dbus clients request playing song notification (Oskari Saarenmaa)
* Add more unit tests (Jonathan Matthew)
* Fix some a11y stuff (Jerry Tan)
* Plugin-ise DAAP, and DAAP improvements (Jonathan Matthew)
* Startup improvements, including async directory walking (James Livingston)
* Improve intra-application Drag and Drop (Jonathan Matthew)
* Support gnonfaudiosink's "profile" property (Alex Jones)
* Remove insane threading from podcasts (James Livingston, Jonathan Matthew)
* Disable ReplayGain by default, since it has issues (James M)

Plus the usual assortment of bug fixes, performance and memory improvements, and minor features.


Updated Translations
--------------------

* ar	Djihed Afifi
* ca	Jordi Mallach, Josep Puigdemont i Casamajó
* dz	Pema Geyleg (New)
* el	Nikos Charonitakis
* en_CA	Adam Weinberger
* es	Francisco Javier F. Serrador 
* fi	Ilkka Tuohela
* gl	Ignacio Casal Quinteiro
* hu	Gabor Kelemen
* it	Luca Ferretti
* ja	Takeshi AIHANA
* lt	Žygimantas Beručka
* nb	Kjartan Maraas
* nl	Vincent van Adrighem
* sv	Fredrik Tuomas
* vi	Nguyễn Thái Ngọc Duy



Overview of changes in Rhythmbox 0.9.6 "Live from the shores of lake Burley-Griffin"
====================================================================================

* fix DAAP seeking (Jonathan Matthew: #330410)
* display track numbers in playlists too (Alex Lancaster: #329986)
* retrieve playlsit and audio folder information from HAL (Jonathan Matthew: #333845)
* make search box coloured when active (Nguyễn Thái Ngọc Duy: #344416)
* improve ID3 tag writing (Jonathan Matthew, James Livingston)
* load local cover art, and large improvements to plugin (Ed Catmur, Peter: #345688)
* build fixes: Solaris (Brian Cameron: #345673)
* Store MusicBrainz track IDs in the DB (Ståle Lyngaas: 343491)
* fix some i18n issues (Nguyễn Thái Ngọc Duy: #345286)
* add gnome-keyring support to DAAP (James Livingston, Jonathan Matthew: #330346)
* allow hiding of plugins and disabler per-user plugins (James Livingston: #349395)
* plugin improvements (James Livingston, Jonathan Matthew)
* HTTP proxy-related fixes/improvements (Jonathan Matthew: #345712, #345895)
* drag-and-drop improvements (James Livingston: #337657)
* importing fixes (Ed Catmur, Jonathan Matthew)
* add "property changed" signal for dbus clients (Jonathan Matthew: #332461)
* turn CD burning into a plugin (William Jon McCann: #344300)
* turn audio CD support into a plugin (James Livingston: #349415)
* LIRC plugin fixes (Jonathan Matthew)
* improve database thread usage
* make DB handle unknown entry-types (Jonathan Matthew: #330226
* improve plugin debug output, and bindings (James Livingston)
* improve "import errors" and "missing files" source (William Jon McCann: #346800)
* fix many memory leaks (William Jon McCann: #347446, #347446, #347446, #347446)
* use GMapperFiles for DAAP transfers, fixing some iTunes clients (Jonathan Matthew: #330410)
* add support for alternate playlists files (Alex Lancaster: #343659)
* handle transparent panels correctly (DanWinship: #348208)
* fix playlists subset searching (Jonathan Matthew: #348617)
* make iradio playlists handling better (Jonathan Matthew: #347097)
* use GOption instead og popt (William Jon McCann: #346930)
* remember visibility for remote files, as well as local ones (James Livingston)
* be smarter about creating podcast file names (Jonathan Matthew: #330766, #321991)
* allow multiple selections in the Import Folder dialog (Christian Becke: #351414)

Plus the usual assortment of bug fixes, performance and memory improvements, and minor features.

Updated Translations
--------------------

* bg	Rostislav Raykov
* ca	Jordi Mallach
* de	Daniel Schindler, Hendrik Brandt
* el	Kostas Papadimas, Dimitris Glezos
* en_GB	David Lodge
* es	Francisco Javier F. Serrador, María Majadas
* eu	Inaki Larranaga
* fi	Ilkka Tuohela, Tommi Vainikainen
* fr	Haïkel Guémar, Damien Durand
* gl	Ignacio Casal Quinteiro
* hu	Gabor Kelemen
* it	Guilherme de S. Pastore
* lt	Žygimantas Beručka
* lv	Raivis Dejus
* mk	Jovan Naumovski
* ne	Pawan Chitrakar
* nl	Tino Meinen
* sv	Fredrik Tuomas
* th	Theppitak Karoonboonyanan
* vi	Clytie Siddall
* zh_CN	Funda Wang
* zn_HK	Abel Cheung
* zn_TW	Abel Cheung


Overview of Changes in Rhythmbox 0.9.5
======================================

* fix icon themability (Steve Frécinaux)
* handle iPods that have been repartitioned (Christophe Fergeau: 325034)
* allow ipod renaming, ejection, deletion and transfer (Christophe Fergeau)
* make iradio handling work much better (Jonathan Matthew: 320336, 324402)
* improve out-of-process metadata loader (Jonathan Matthew: 338062)
* update documentation (Baptiste Mille-Mathias, )
* pluginise iPod and Generic players (Christophe Fergeau, Jonathan Matthew)
* support saving playlists as M3U (Gavin Stewart: 316295)
* remember browser visibility when changing sources (Alex Lancaster: 118862)
* handle media unmounts better (Jonathan Matthew: 339023)
* make entry types be a structure, and add support for extended data, and
  various method implementations (Christophe Fergeau, James Livingston)
* album art view&download plugin (Alex Lancaster, James Livingston,
  Gareth Murphy, William Jon McCann, Martin Szulecki)
* update the FSF's address (Gunnar Steinn Magnusson)
* much improved Python bindings (James Livingston, Jonathan Matthew)
* fix some translation issues (Nguyễn Thái Ngọc Duy, James Livingston: 339380, 343081)
* improve startup time (James Livingston, Jonathan Matthew)
* fix audioscrobbler submission, and allow viewing of info (Jonathan Matthew: 325848)
* improve DBus interface (Jonathan Matthew, Tim Moloney)
* allow transcoding during track transfer (Alessandro Decina: 322268)
* cd burning fixes and improvements (William Jon McCann)
* podcast feed parsing and download fixes (James Livingston: 339728)
* turn the playback backend into a full GObject interface (James Livingston: 338667)
* add more API documentation (Jonathan Mattjew)
* add vorbis tag editing (James Livingston: 339878)
* fix various threading insanities (Jonathan Matthew)
* display "child libraries" with multiple library locations (James Livingston: 100552)
* improve drag-and-drop from browsers (Jonathan Matthew: 327540)
* support Motorola ROKR phones (Joe Barnett)
* make query model limits saner (Janes Livingston)
* source cleanup and API improvement (James Livingston, Jonathan Matthew)
* improve status feedback for DAAP (Jonathan Matthew: 322020 and 338978)
* memory improvement and leak fixed (James Livingston, Jonathan Matthew)
* kill Bonobo support, require DBus, support DBus 0.3.0 (Jonathan Matthew: 339720)
* add lyric download and view plugin (Jonathan Matthew: 319320)
* add "add to playlist" menu (James Livingston: 323364)
* allow changing of audio cd metadata (James Livingston)
* improve DAAP handling (William Jon McCann: 342643)
* update and write new unit tests (James Livingston)
* group sources (Jonathan Matthew)
* add new "rhythmbox-client" program (Jonathan Matthew: 340863, 155763)
* assorted build fixes (Brian Cameron, Paul Drain, Elijah Newren,
  Hendrik Richter, Ryan P Skadberg, Götz Waschk, Pawel Worach,
  FreeBSD GNOME project, others)
* HIG and UI improvements (Dennis Cranston, Baptiste Mille-Mathias)
* many other bug fixed (Christophe Fergeau, Jaap A. Haitsma, James Livingston,
  Jonathan Matthew, Mikael Olenfalk, Roozbeh Pournader)


Overview of Changes in Rhythmbox 0.9.4
======================================

* add support for source-specific toolbar items (James Livingston: 329041)
* make the status column blank for undownloaded podcasts (Jonathan Matthew)
* make iradio station connect asynchronous (James Livingston:128106)
* break mDNS class into backend-specific classes (William Jon McCann)
* add support for password-protected DAAP shares (William Jon McCann: 322966)
* have per-client DAAP session (William Jon McCann: 329814)
* make DAAP source icon show authentication status (William Jon McCann: 330291)
* turn of paranoia when playing audio cds (James Livingston: 322270)
* use network byte-order for DAAP, fixes some issues with Banshee (Jonathan Matthew)
* fold RBSimpleView back into RBPropertyView (James Livingston: 327500)
* store hidden state of entries in on-disk db (James Livingston: 325215)
* add dbus methods for static playlist control (Jonathan Matthew: 329958)
* force URI canonicalisation when first upgrading (James Livingston: 329988)
* add browsers to playlists (James Livingston: 118862)
* don't put drag-n-drop URIs in reverse order (Jonathan Matthew: 330283)
* notification bubble fixed (Jonathan Matthew: 330876)
* RhythmDB API cleanup (James Livingston, Jonathan Matthew: 330226)
* add auto-completion to tag-editing (Sven Herzberg: )
* add action to clear entire queue (Jonathan Matthew: 330014, 331392)
* don't display entry notify bubble when containing "&" (Jonathan Matthew: 330784)
* don't block UI when reading audio cd TOC (James Livingston: 329942)
* stop polling cd drive when playing from it (James Livingston: 330716)
* add Party Mode (William Jon McCann: 323933)
* don't stop when playing track is deleted (James Livingston: 131150, 331712)
* add quality column (James Livingston: 167659)
* add "queue playlist" action (James Livingston: 330490, 330490)
* update documentation to not be completely out-of-date (Baptiste Mille-Mathias: 314001)
* add support for out-of-process metadata service (Jonathan Matthew: 329597)
* port to using gnome-doc-utils (Luca Ferretti)
* indicate pre-empted source when playing from queue (Jonathan Matthew: 330819)
* add "starts with" and "ends with" string criteria (James Livingston)
* don't choke on podcast feeds which use timezone names (Alex Lancaster: 331691)
* make auto playlist editor non-modal (James Livingston: 320030)
* add "missing files" and "import errors" sources (Jonathan Matthew: 167763, 142322)
* use entry and button for Library Location preference (James Livingston: 328414)
* remember window visibility between sessions (James Livingston: 127320)
* don't import known non-audio files (James Livingston: 323179)
* read more metadata from iPod dbs (Gunnar Steinn Magnusson: 324648)
* support sources with no entry view (James Livingston: 331673, 331673)
* add read-only PSP support (James Livingston, Bastien Nocera: 332337)
* add read-only Nokia 770 support (James Livingston)
* restore browser selections after browser change (James Livingston)
* add "download location" to podcast info window (Jonathan Matthew: 330696)
* fix issues with new totem-plparser recursion (James Livingston: 331508)
* use drive rather than volume name for removable media (James Henstridge: 333080)
* add gst 0.10 id3 tag editing (James Livingston: 309609)
* add filtering support to debug output (Jonathan Matthew)
* add plugin support (James Livingston: 330523)
* add search bar (William Jon McCann: 328618, 334407)
* filter browsers with search terms (Jonathan Matthew: 322787)
* remove non-libnotify notifications (James Livingston: 331721)
* update documentation (Baptiste Mille-Mathias)
* add Increase and Decrease volume menu items (James Livingston: 123383)
* add Python Console plugin (Steve Frécinaux)
* add HTTP proxy support (Jonathan Matthew: 335091)
* do all gnomevfs stats in one batch (Jonathan Matthew: 334106)
* build properly on Solaris (Brian Cameron: 335318)
* borrow Banshee's Eject icon, because g-i-t doesn't have one
* have better "no GStreamer plugin found" messages (James Livingston: 128109)
* add LIRC plugin (Jonathan Matthew)
* use libsexy to add a clear button to the search box (James Livingston: 128109)
* allow overriding of the toolbar button style (James Livingston: 336797)
* add profiling hooks (William Jon McCann: 337387, 338114)


and a whole heap of other bugs fixes and minor improvements (too many to list...)


Updated Translations
--------------------

* cs	Miloslav Trmac
* el	Nikos Charonitakis, vyruss
* es	Francisco Javier F. Serrador
* eu	Inaki Larranaga
* fi	Ilkka Tuohela
* gl	Ignacio Casal Quinteiro
* hu	Gabor Kelemen
* it	Luca Ferretti
* ja	Takeshi AIHANA
* lt	Žygimantas Beručka
* nb	Øivind Hoel, Kjartan Maraas
* nl	Tino Meinen, Reinout en Tino
* no	Kjartan Maraas
* pt_BR	Raphael Higino
* ru	Nickolay V. Shmyrev
* sv	Daniel Nylander
* th	Isriya Paireepairit
* vi	Nguyễn Thái Ngọc Duy, Clytie Siddall
* zh_HK	Abel Cheung
* zh_TW	Abel Cheung, Lin-Chieh Shangkuan


Overview of Changes in Rhythmbox 0.9.3.1
========================================

* allow watches library to be in non-local places [James Livingston]
* give better error messages for missing gstreamer [James Livingston]
* emit normal warnings instead of critical ones [Jonathan Matthew: 329398]
* fix crasher if gstreamer gives us NULL strings [Jan Schmidt]
* use network dyte order for DAAP content codes [Jonathan Matthew]
* fix the first-run druid and generic player support [James Livingston: 329723]

Updated Translations
--------------------
* ca	Jordi Mallach

Overview of Changes in Rhythmbox 0.9.3
======================================

* disable column auto-sizing, improves speed [Jonathan Matthew: 312122]
* resort in a faster way [James Livingston: 315389]
* don't try to burn long playlists [William Jon McCann: 321753]
* other cd-burning fixes and HIG improvements [William Jon McCann: 321754]
* fix "Post" and "Episode" wording [James Livingston: 321653]
* display tag-writing errors to the user [James Livingston]
* make the podcast dialog look like the song one [William Jon McCann]
* use glib class private data everywhere [William Jon McCann: 313688]
* add "Move to trash" command [Bastien Nocera: 315389]
* support DBus 0.6 [William Jon McCann]
* add support for "Watched Libraries] [James Livigston: 160159]
* add support for remote gnome-vfs [James Livingston: 140355]
* select source when hovering with drag [Thomas de Grenier de Latour: 323044]
* fix parsing of some RSS feeds [Ryan P Skadberg: 323153]
* use toolbar [William Jon McCann, James Livingston: 316238]
* always hide rather than remove db entries until old [James Livingston]
* ellipsise source names, instead of adding scroll bar [James Livingston]
* allow year to be changed on multiple songs [Alex Lancaster]
* refactor playlist classes [Jonathan Matthew]
* add gstreamer 0.10 support [Jan Schmidt, James Livingston]
* fix drag-and-drop of URLs [Jonathan Matthew:323610]
* save metadata when forward/next are pressed [James Livingston: 320952]
* fix complaints about deprecated libnautilusburn API in 2.13 [James Livingston]
* make entry-views just a display, and fix play orders [Jonathan Matthew:323612]
* remove distro-packaging stuff [James Livingston]
* fix 5 sec pause when finding non-audio files with gst 0.10 [James Livingston]
* fix playlist saving and shutdown [William Jon McCann: 322940]
* submit songs longer than 30 mins to AudioScrobbler [Ståle Lyngaas: 323639]
* make iradio dialog look like song one [William Jon McCann: 323306]
* make genre tag-writing not use artist [Alex Lancaster: 323642]
* more entry-view cleanup and refactoring [Jonathan Matthew: 323640]
* fix problem with dropping artist/album into an entry view [James Livingston]
* add play queue [Jonathan Matthew: 107787]
* about dialog fixes and update AUTHORS and MAINTAINERS [William Jon McCann]
* remove use of GMemChunks [James Livingston]
* remove unused podcast feed column [William Jon McCann: 322961]
* add support for the search box to playlists. [James Livingston]
* add support for more date formats in podcast feeds [William Jon McCann]
* use "friendly time" for properties display [William Jon McCann]
* add fulscreen mode [William Jon McCann: 324075]
* allow iradio stations to be stream URLs [Jonathan Matthew]
* fix parsing of itunes:image element in podcasts [William Jon McCann]
* allow podcasts with no pubication date [Jonathan Matthew]
* add disc number to multiple-track properties window [Jonathan Matthew, 324777]
* read playcount and year from ipod db [Gunnar Steinn Magnusson]
* add 'last episode' field to the podcast feed dialog [Jonathan Matthew]
* assorted DAAP fixes [James Livingston, Jonathan Matthew, William Jon McCann]
* add libnotify support [Jonathan Matthew]
* use G_DEFINE_TYPE [James Livingston, Lubomir Marinovm, William Jon McCann]
* many play-order fixes [Jonathan Matthew]
* add default playlists [William Jon McCann: 323004]
* add support for Year criteria in auto playlists [Alex Lancaster: 321341]
* give names to playlists created via drag-n-drop [William Jon McCann: 326116]
* allow dbus to chaneg volume [Jonathan Matthew]
* stop playback after a podcast finished [James Livingston: 322077]
* fill in multi-track property window fields [James Livingston: 326054]
* don't lose hidden entries from playlists [James Livingston: 319278]
* add support for generic mass-storage audio players [James Livingston: 325602]
* don't get stuck on recursive symlinks [James Livingston: 125452]
* don't crash on hybrid audio+data cds [Jonathan Matthew]
* make startup faster [James Livingston, Jonathan Matthew: 323348 and others]
* display number of tracks in browsers [William Jon McCann: 327372]
* add support for Year metadata from DAAP shares [Alex Lancaster: 327700]
* support chunked-encoding for DAAP [Jonathan Matthew: 326738, 318852]
* change default rating back to 0 [James Livingston]
* sort URIs when artist/album is dragged [Jonathan Matthew: 327494]
* remove items from browsers when tracks are hidden [James Livingston: 327061]
* don't spin when all tracks are unplayable [Jnonathan Matthew: 329329]
* minor UI and HIG fixes [Dennis Cranston, Jaap A. Haitsma, James Livingston,
  Jonathan Matthew, William Jon McCann, Bastien Nocera]
* assorted other bug fixes and minor improvements

Updated Translations
--------------------

* de	Hendrik Brandt
* en_CA	Adam Weinberger
* es	Francisco Javier F. Serrador
* fi	Ilkka Tuohela
* fr	Christophe Bliard
* gl	Ignacio Casal Quinteiro
* hu	Gabor Kelemen
* ja	Takeshi AIHANA
* lt	Žygimantas Beručka
* nb	Kjartan Maraas
* nl	Vincent van Adrighem, Tino Meinen
* no	Kjartan Maraas
* pt_BR	Evandro Fernandes Giovanini, Raphael Higino
* vi	pclouds, Clytie Siddall
* zh_CH	Funda Wang
* zh_TW	Abel Cheung



Overview of Changes in Rhythmbox 0.9.2
======================================

* Add podcast support [Renato Araujo:309372]
* Podcast fixes and improvements [Renato Araujo, Dennis Cransto,
  James Livingston, Jonathan Matthew, William Jon McCann]
* Add support for audioscrobbler/last.fm submission [Ruben Vermeersch:106669]
* Add audio CD support [James Livingston:110928]
* Use libgpod, add support for ipod playlists [Christophe Fergeau]
* Make more strings translatable [Funda Wang]
* Stop when reaching end of playlist in linear mode [Caio Marcelo]
* Fix lots of window-state weirdness [James Livingston:122806]
* Remember window position [Caio Marcelo:315289]
* Fix memory leaks [Christopher Aillon]
* Make hidden/shown window policy better [Caio Marcelo:308053]
* DBus interface improvements [Paul Kuliniewicz]
* Use natural sorting order [James Livingston:158599]
* Fix "show window" in tray icon menu to toggle correctly [Caio Marcelo:318053]
* Don't share hidden tracks with DAAP [James Livingston]
* Make connecting to DAAP shares asynchronous [Jonathan Matthew:316225]
* Make DAAP work on 64 bit systems [Jonathan Matthew:319304]
* Make tag-writing safer [Artem Baguinski, James Livingston]
* Fix memory leaks [Christopher Aillon]
* Make default stations actually show up [James Livingston]
* Make dragging playlists copy not move files [James Livingston:319817]
* Fix re-ordering problems [Jonathan Matthew:319718]
* Save the database regularly [James Livingston:155306]
* Show disc number in info window [Jonathan Matthew:311199]
* UI and HIG fixes [Dennis Cranston:313158, 320184, 320579]
* Allow search box to match multiple properties [139196]
* Report iradio errors better [James Livingston]
* Make date formats correct in all locales [James Livingston]
* Fix drag-and-drop of URLs [Jonathan Matthew]
* Mork better with autofs mounts [Shun-ichi Tahara:320571]
* Don't wedge gnome-vfs-daemon [Shun-ichi Tahara:320570]
* Use chunked loading/sending of daap files [Jonathan Matthew]
* Allow Anjuta to import the source tree [Artem Baguinski]
* Add support for year/date metadata [Christophe Fergeau:166093]
* Display errors in the radio properties [Jonathan Matthew:320749]
* Add file-overwrite dialogs for GTK 2.8 [Jaap A. Haitsma]
* Add "Edit Playlist" item to main menu [James Livingston:311470]
* Make new radio station use the properties dialog [Jonathan Matthew]
* Display the count in the "All" line of browsers [James Livingston]
* Fix query-model refcount and polling problems [Jonathan Matthew:321410]
* Fix emission of entry-changed signals on startip [Jonathan Matthew]
* Support gzip encoded DAAP [Jonathan Matthew:321157]
* Allow pause by middle-clicking on the tray icon [James Livingston]
* Start some RhythmDB API docs [James Livingston]
* Don't display error if Avahi daemon isn't running [James Livingston]
* Emit single "icon missing" warning [Jonathan Matthew:321698]
* Store the bitrate for radio streams [Jonathan Matthew:321702]
* Bring back per-source search box text [James Livingston:321593]
* GObject-ify rb-daap-connection.c [James Livingston:321930 and 322007]
* Make disabling and re-enabling daap work [James Livingston:321748]
* Give playlists and entry-type [Jonathan Matthew]
* Use g_list_prepend to make things not O(n^2) [James Livingston:321696]
* Don't hang with broken DAAP servers [Jonathan Matthew:321919]
* Update quick-reference to have right keys [Baptiste Mille-Mathias]
* Fix libsoup tests for DAAP [Tom Parker]
* Don't have date-added column for cds and ipods [James Livingston:322269]
* Support Avahi 0.6 [Daniel S. Haischt]
* Disable saving, renaming, and deletion of DAAP playlists [Jonathan Matthew]
* Assorted other bug fixes
* Disable the close button's minimise-to-tray action

Updated Translations:
* bg:    Rostislav Raykov
* cs:    Miloslav Trmac
* de:    Hendrik Brandt
* en_CA: Adam Weinberger
* es:    Francisco Javier F. Serrador
* fi:    Ilkka Tuohela
* fr:    Baptiste Mille-Mathias
* gl:    Ignacio Casal Quinteiro
* hu:    Gabor Kelemen
* ja:    Takeshi Aihama
* lt:    Žygimantas Beručka
* mk:    Arangel Angov
* nb:    Kjartan Maraas
* nl:    Vincent van Adrighem
* no:    Kjartan Maraas
* sk:    Marcel Telka
* vi:    pclouds
* zh_CN: Funda Wang



Overview of Changes in Rhythmbox 0.9.1
======================================

* Add DAAP (iTunes' music sharing) support [Charles Schmidt]
* Notification bubble from tray icon [Colin Walters]
* Minimise to tray rather than exiting when close is used [Colin Walters]
* Allow sources to form a tree, for child playlists [Charles Schmidt]
* Add removable media framework and port ipod code [James Livingston]
* Support HAL >= 0.5 as well as > 0.2 [Ronald Bultje]
* Much improved automatic playlists, including more criteria options and
  sorting [James Livingston:132566]
* Use a proper GTK status bar [William Jon McCann]
* Better drag-n-drop support: drag from browsers to source list, from browsers
  or track list to other apps and re-order playlists [Jonathan Matthew: 147337]
* Update DBus support to version 0.35, general DBUS improvements and drop
  command-line arguments for DBus [Colin Walters]
* Add "limit by time" option to playlists [James Livingston: 159227]
* Display hours if a song is longer than 60 minutes [Jonathan Matthew: 313311]
* Use new volume widget, same as in Totem [Ronald S. Bultje: 300867]
* Focus entry view when enter is pressed in search box [Paolo Borelli: 128110]
* Show source list when playlist os created [James Livingston: 161935]
* Disable rather then hide seek bar [James Livingston: 139102]
* Improved error handling in RBPlayer [Colin Walters]
* Remove dashboard support [Colin Walters]
* Many HIG and UI improvements [Dennis Cranston and Paolo Borelli]
* Use last.fm instead of allofmusic.com for links [Colin Walters]
* Remove autorating of tracks [Colin Walters]
* Fix header synchronisation [Raphael Slinckx]
* Fix some window state issues [James Livingston: 313893 and 137068]
* Add "Date Added" column [Ernst Persson]
* Better playlist loading [James Livingston, Bastien Nocera, Colin Walters]
* Make playing source bold, rather than using an icon [Colin Walters]
* Allow library-derived sources to override behaviour [James Livingston]
* Correctly update status bar and don't use useless info [James Livingston]
* Add support for building API docs with gnome-doc-utils [Raphael Slinckx]
* Update the default radio stations [Ali Akcaagac:129285]
* Remove a heap of old code, and use stock art instead of custom art
* Many rhythmdb improvements
* Fix more memory leaks
* Many bug fixes and minor improvements

Updated Translations:
* ca (Josep Puigdemont i Casamajó)
* cs (Miloslav Trmac)
* da (Morten Brix Pedersen, Ole Laursen)
* de (Hendrik Brandt)
* el (Kostas Papadimas)
* en_CA (Adam Weinberger)
* es (Francisco Javier F. Serrador)
* fi (Ilkka Tuohela)
* fr (Stephane Raimbault)
* gl (Ignacio Casal Quinteiro)
* hu (Gabor Kelemen)
* lt (Žygimantas Beručka)
* ne (Pawan Chitrakar)
* nl (Tino Meinen)
* pt_BR (Raphael Higino, Afonso Celso Medina)
* vi (Clytie Siddall)
* zh_CN (Funda Wang)

Overview of Changes in Rhythmbox 0.9.0
======================================

* Too many to mention, focus was on stability, and memory usage
* Support for buring audio CDs (pass --with-cdburner to configure)
* Experimental tag editing support (pass --enable-tag-writing to configure)
* Remove deprecated Xine backend
* Play any audio file that GStreamer can decode
* Don't remove tracks that are unavailable, just hide them
* Internet Radio improvements
* Heaps of UI Improvements
* Updated Bonobo interface
* Heaps of bug fixes, some memory usage reduction and code cleanup
* Promises to keep the NEWS file up to date


Overview of Changes in Rhythmbox 0.7.2
======================================

* Many crasher bugfixes [Ben Liblit, Colin Walters]
* Initial work on saving database and playlists while running [David Dollar] 
* Fix mime type detection [Colin Walters]
* Fix import of non-UTF8 filenames [Colin Walters]
* Actually respect Cancel in import dialog [Colin Walters]
* Several fixes for GTK+ 2.4 file dialogs [Colin Walters]
* Display buffering progress for Xine backend [David Dollar]
* iPod fixes [Christophe Fergeau]
* Remove deprecated casting usage [Christophe Fergeau]
* New --shuffle argument [James Willcox]
* Use automake 1.8 if available [Christian Schaller, Colin Walters]
* Fix for GTK+ 2.4 detection [Christophe Fergeau]
* Nicer iPod icon [Jakub Steiner]
* Actually distribute README.iPod [Colin Walters]
* Xine player fixes [David Dollar] 
* Add MonkeysAudio to known music MIME types [Jérémy SIMON]
* Canonicalize filenames into URLS when loading playlists [Colin Walters]
* Fix race condition in database load [Colin Walters]
* Remove some unused functions [Bastien Nocera]

Updated translations:

el (Kostas Papadimas)
hu (Andras Timar)
hr (Robert Sedak)
tr (Enver Altin)
ga (Alastair McKinstry)
ja (Takeshi AIHANA)
nl (Vincent van Adrighem)
da (Morten Brix Pedersen)
lt (Žygimantas Beručka)

Overview of Changes in Rhythmbox 0.7.1
======================================

* Initial iPod support (see README.iPod) [Christophe Fergeau]
* Ignore files with unknown MIME types [Colin Walters]
* Support for Rating criteria in automatic playlists [Colin Walters]
* Disc number tags [Christophe Fergeau]
* Per-song automatic rating is now configurable [Michael Terry]
* Improved multiselection dialog [Colin Walters]
* Fix GStreamer configure checks [Christophe Fergeau, Colin Walters]
* Use weighted random algorithm when using Shuffle+Repeat [Jeffrey Yasskin]
* Remove Bonobo statusbar for now [Colin Walters]
* Disable "Browse by..." context menu if browser isn't enabled [Colin Walters]
* Some state saving: search text, selected source [Colin Walters]
* Use GtkFileChooser in startup druid too [Christophe Fergeau, Colin Walters]
* Add audioconvert in pipeline [Colin Walters]
* Don't do prelighting on ratings (avoids theme color issues) [Colin Walters]
* Actually save library if it didn't exist before [Christophe Fergeau]
* Use GAtomic if available [Christophe Fergeau]
* Improved Xing header parsing [Christophe Fergeau]
* Improved duration reading using GStreamer [Christophe Fergeau]
* Fix flac configury [foser@gentoo.org]
* Don't set sink to NULL to avoid pausing issue [Colin Walters]
* Fix occasional deadlock on startup [Colin Walters]
* Other various bugfixes

New translations:

bg (Peter Slavov)
uk (Yuriy Syrota)

Updated translations:

hu (Andras Timar)
hr (Robert Sedak)
ja (Takeshi AIHANA)
lt (Žygimantas Beručka)
cs (Miloslav Trmac)
no (Kjartan Maraas)
es (Francisco Javier F. Serrador)
zh_TW (Abel Cheung)
be (Ales Nyakhaychyk)
sr, sr@Latn (Danilo Šegan)
fi (Ilkka Tuohela)
ca (Jordi Mallach)
kr (Changwoo Ryu)
nl (Kees van den Broek)
et (Priit Laes)
sv (Christian Rose)
el (Kostas Papadimas)
it (Luca Ferretti)
pl (Artur Flinta)

Overview of Changes in Rhythmbox 0.7.0: "My, your music looks tasty..."
======================================

* Support for GStreamer-based metadata [Colin Walters]
* Initial tag editing work [Colin Walters]
* Adaptive ratings [Michael Terry]
* ReplayGain support [Jeremy SIMON]
* Create automatic playlists via drag and drop from browsers [Jonatan Magnusson]
* Editing of automatic playlists [Colin Walters]
* Song info dialog cleanups [Colin Walters]
* Implement "Browse this genre/artist/album" context menu [Colin Walters]
* Allow reordering playlists via DND [Colin Walters]
* Automatically scroll view while dragging [Yann Rouillard]
* Fix sorting by genre [Colin Walters]
* Pause support for multimedia keys [Crispin Flowerday]
* Lots of playback order fixes and speedups [Jeffrey Yasskin]
* .m3u parsing fixes [Colin Walters]
* Some MacOS X work [Jeffrey Yasskin]
* Fix time display with partial days [James Kahn]
* Use new GtkFileChooser if available [Sriram Ramkrishna]
* Internet radio buffering progress now uses bottom progress bar [Colin Walters]
* Correctly remember state for Import Folder dialog [Colin Walters]
* Lots more error checking for playback [Colin Walters]
* Update INTERNALS documentation [Colin Walters]
* New "equals" criteria for automatic playlists [Colin Walters]
* New default iradio station list [Colin Walters, Jeffrey Yasskin, Joseph Wilhelm]
* Default CFLAGS warning bits stolen from gnome-keyring [Colin Walters]
* Configuration/build fixes [Juilo M. Merino Vidal]
* More C89 fixes [Scott Wheeler]
* General code cleanup [Colin Walters, Christophe Fergeau, Jeffrey Yasskin]
* Misc bugfixes [Colin Walters, Christophe Fergeau, Jefferey Yasskin]

New translations in Rhythmbox 0.7.0:

lt (Žygimantas Beručka)
mn (Sanlig Badral)
ga (Paul Duffy)
ar (Arafat Medini)

Updated translations in Rhythmbox 0.7.0:

fi (Ilkka Tuohela)
cs (Miloslav Trmac)
de (Christian Neumair)
az (Mətin Əmirov)
no (Kjartan Maraas)
ko (Young-Ho Cha, Changwoo Ryu)
es (Francisco Javier F. Serrador)
pl (GNOME PL Team)
sr, sr@Latn (Danilo Šegan)
nl (Kees van den Broek)
el (Kostas Papadimas)
pt (Duarte Loreto)
ja (Takeshi AIHANA)
cy (Telsa Gwynne)

Overview of Changes in Rhythmbox 0.6.5
======================================

* Work with session management [Matt Hughes]
* Improved dashboard support [Lee Willis]
* Fix length calculation for some VBR MP3s [Christophe Fergeau]
* Jump to songs added via commandline [Colin Walters]
* Avoid segfaults with some commandline bits [Colin Walters]
* Fix volume popup near bottom of screen [Johnathan Taylor]
* Update Bonobo interface for play order work [Colin Walters]
* Avoid some unlikely but possible use of freed strings [Colin Walters]
* Fix compilation with G_DISABLE_ASSERT [Colin Walters]
* Correctly encode URIs when upgrading from 0.5.x [Colin Walters]
* Fix changing sorting with active genre/artist filtering [Colin Walters]

Overview of Changes in Rhythmbox 0.6.4
======================================

* Add audio/x-flac as a known MIME type for FLAC [Colin Walters]
* Dashboard is disabled by default due to compilation problems on some machines [Colin Walters]
* Remove applicable filtering when genre/artist/album filter is hidden in the prefs [Colin Walters]
* Don't crash when using --print-playing with internet radio [Colin Walters]
* Update GStreamer player to handle changes in GStreamer 0.7 [Colin Walters]
* Don't send ourselves SIGINT on a g_warning if not in debug mode [Colin Walters]
* Make file chooser dialog resizable [Colin Walters]
* Don't try to use multimedia keys if we only have XSun [Colin Walters]

Overview of Changes in Rhythmbox 0.6.3
======================================

* Dashboard integration [Lee Willis]
* Fix crash with Xine backend [Bastien Nocera]
* Don't require pkgconfig file for id3tag [Colin Walters]
* Don't crash on trying to play directories [Colin Walters]
* GCC-2.95 compile fixes [Kaj-Michael Lang]

Overview of Changes in Rhythmbox 0.6.2
======================================

* Use better algorithms for Shuffle and Repeat [Jeffrey Yasskin]
* Playlist fixes; make .m3u work [Colin Walters, Bastien Nocera]
* Make Xine backend use less memory [Bastien Nocera]
* Fix length parsing from variable-bitrate MP3s [Bastien Nocera]
* Don't crash adding a station with a duplicate location [Colin Walters]
* Fix race condition in library searching [Colin Walters]
* Actually implement Quality column [Colin Walters]
* Fix usage of G_PARAM_CONSTRUCT_ONLY [Jan Arne Petersen]
* Change default Korean legacy charset to UHC [Cha Young-Ho]
* Check libid3tag version [Bastien Nocera]
* Work around scrollkeeper XML parsing bug [Jordi Mallach]
* Distcheck fixes [Colin Walters]

Overview of Changes in Rhythmbox 0.6.1
======================================

* Drag and drop onto source list can create playlists [Yann Rouillard]
* Avoid crashes when metadata changes on disk [Colin Walters]
* Xine backend fixes [Bastien Nocera]
* Load playlists directly for internet radio [Bastien Nocera, Colin Walters]
* Major rework of mp3 metadata reading [Bastien Nocera]
* Handle mp3-in-wav files [Bastien Nocera]
* Support for MP4 metadata [Bastien Nocera]
* Don't crash on multiply added songs [Colin Walters]
* Try legacy charsets for ID3V1 tags [Colin Walters]
* Make editing playlist names nicer [Bastien Nocera]
* Fix tray icon window restoration [Bastien Nocera]
* Play from stopped state plays selected song [Jeffrey Yasskin]
* Don't unnecessarily reset filters/search on jump to playing song [Colin Walters]
* Don't crash when an iradio search is active and switching sources [Colin Walters]
* Don't crash on jump to playing song [Colin Walters]
* Translator comments [Jordi Mallach]
* Fix bonobo reference counting [Gustavo J. A. M. Carneiro, Colin Walters]
* Scroll wheel over tray icon controls volume [Jon Kinred]
* Ensure Properties is disabled if there's no selected song [Colin Walters]
* GCC 2.95 build fixes [Scott Wheeler, Danilo Segan]

Overview of Changes in Rhythmbox 0.6.0
======================================

* Speed and incremental display of queries [Colin Walters]
* Major source code refactoring and cleanup [Colin Walters]
* Improved menu layout [Luca Ferretti, Colin Walters]
* Shiny new icons [Jakub Steiner]
* Use Name=Rhythmbox,GenericName=Music Player in .desktop [Colin Walters]
* Numerous HIG spacing and usability fixes [Christian Neumair]
* Playlists are now user-orderable [Colin Walters]
* Automatic playlists [Colin Walters]
* Allow selecting multiple genres/artists/albums [Colin Walters]
* Direct editing of playlist names [Colin Walters]
* Major Bonobo interface improvements [Christophe Fergeau, Rached Ben Mustapha]
* Keep a playback history [Jeffrey Yasskin]
* Major DND work [Yann Rouillard]
* Use GnomeHRef for links [Mark Humphreys]
* Tooltips, tooltips, tooltips everywhere! [Colin Walters]
* Display time remaining in tray icon tooltip [Colin Walters]
* Pass "make distcheck" [Colin Walters]
* Squash various circular dependencies in the build system [Colin Walters]
* Various other misc. bugfixes [Colin Walters, Yann Rouillard, Christophe Fergeau,
                                Sean Harshbarger, Jeffrey Yasskin]

Overview of Changes in Rhythmbox 0.5.4
======================================

* Updated documentation [Mark Humphreys]
* Allow quitting even when Rhythmbox is busy [Colin Walters]
* Handle long artist/album names in song display box [desrt]
* Use Ogg Vorbis for internet radio if compiled without MP3 support [Colin Walters]
* More default internet radio stations [Nadav Rotem]
* Many more Bonobo methods [Rached Ben Mustapha]
* Display time remaining in tray icon tooltip [Colin Walters]
* Hardcode use of mad/vorbisfile/flacdec, until spider works [Colin Walters]
* Don't distribute built CORBA files [Colin Walters]
* Better explanations in druid [Colin Walters, Luca Ferretti]

Overview of Changes in Rhythmbox 0.5.3
======================================

* Don't save the library periodically [Colin Walters]
* Don't scroll the song view after double-clicking [James Willcox]
* New small display option [desrt]
* Restore tray icon to previous behavior [desrt]
* Correctly sync statusbar visibility on startup [desrt]
* UI improvments to playlist dialog and bugfixes [Yann Rouillard]
* Context menu for the Library source [Paolo Borelli]
* Make double-clicking on a source play it [Paolo Borelli]
* Don't require xine-lib CVS [Bastien Nocera]

Overview of Changes in Rhythmbox 0.5.2
======================================

* Help documentation is back [Mark Humphreys]
* Tooltips on buttons [Colin Walters]
* Don't lose completely on invalid UTF-8 in mp3 files [Colin Walters]
* Better status feedback when loading the library [Colin Walters]
* Volume slider behaves more nicely [Yann Rouillard]
* More fixes to multimedia keys [Jan Arne Petersen]
* Fix spelling of "Digitially Imported" [Paul M Edwards]
* Ability to rename playlists [Sriram Ramkrishna,Colin Walters]
* Tray icon usability fixes [Colin Walters, Christian Neumair]
* Don't crash when deleting a playing song from another source [Colin Walters]
* Release audio device on pause [Benjamin Otte (GStreamer) Bastien Nocera (xine)]
* Only error out if GNOME sounds are enabled, and esdsink is used [Colin Walters]
* Various cleanups [Colin Walters]

Overview of Changes in Rhythmbox 0.5.1
======================================

* Fix multimedia keybinding so we don't grab other keys [Jan Arne Petersen]

Overview of Changes in Rhythmbox 0.5.0
======================================

* Merge with netRhythmbox [Colin Walters]
* Revamped UI [Jorn Baayen, Colin Walters]
* Monkey Media is merged into the Rhythmbox tree [Colin Walters]
* Internet Radio support [Colin Walters]
* Xine backend support [Jorn Baayen, Bastien Nocera]
* Make MP3/Vorbis/FLAC support individually optional [Colin Walters, Bastien Nocera]
* Initial Sound Juicer integration [Bob Smith]
* Refactored node system (improved stability) [Colin Walters, Jorn Baayen]
* Refactored source system [Colin Walters]
* Ability to save playlists in .pls format [Colin Walters]
* Startup druid [Colin Walters]
* Dialog HIGification [Christian Neumair]
* Context menu for Nautilus [Mark Humphreys, Yann Rouillard]
* Song load failure dialog [Colin Walters]
* Slightly improved RTL locale support [Colin Walters]
* Save the library/playlists periodically [Colin Walters]
* Work around broken id3v2 tags [Christophe Fergeau, Colin Walters]
* Read FLAC metadata [Joshua Haberman]
* INTERNALS documentation [Colin Walters]
* Work around GtkTreeModelSort bug [Yann Rouillard]
* Work around GtkTreeView bug [Kristian Rietveld, Colin Walters]
* Initial multimedia keys support [Jan Arne Petersen]
* New --print-playing and --print-playing-path cmdline args [Colin Walters]
* Some playlist support [Colin Walters]
* Display watch cursor during long operations [Colin Walters]
* Updated .spec file [William Jon McCann]
* Many many bugs fixed [Colin Walters, Jorn Baayen, Yann Rouillard, Kristian Rietveld,
                        Bastien Nocera, James Kahn, Benjamin Otte, Sean Harshbarger,
			Christian Neumair, Carlos Perelló Marín, Christophe Fergeau,
			Mason Kidd, Jan Arne Petersen, Douglas McMorris, and many
			other people helped out, thank you all!]

Overview of Changes in Rhythmbox 0.4.1
======================================

* New cool graphics [Jakub 'jimmac' Steiner]
* Genre browsing [Marco Pesenti Gritti]
* Context menu on songs view [Marco Pesenti Gritti]
* Prelight stars in the rating columns [Xan Lopez]
* Bugfixes  [Jorn Baayen, Olivier Martin, Marco Pesenti Gritti, Colin Walters, Christian Schaller]

Overview of Changes in Rhythmbox 0.4
====================================

* Speeeed! [Jorn Baayen, Kristian Rietveld]
* Lots of bugfixes [Jorn Baayen, Olivier Martin, Jan Arne Petersen, Xan Lopez, Marco Pesenti Gritti]
* UI improvements [Jorn Baayen, Olivier Martin]
* Improved song information dialog [Olivier Martin, Jorn Baayen]
* Editable toolbar [Marco Pesenti Gritti]
* Preferences window and visibility options [Jorn Baayen]
* Library rewrite [Jorn Baayen, Olivier Martin, Kristian Rietveld]
* Full DND Support (directories, files, songs in groups) [Olivier Martin, Jorn Baayen]
* Support for searching is back [Olivier Martin, Jorn Baayen]
* LIRC support [James Willcox]
* Tray icon [Jorn Baayen]
* Manual [Mark Finlay, Mark Humphreys, Luca Ferretti]
* Translation updates
* Rating songs support [Olivier Martin]
* Columns visibility editing [Olivier Martin]
* Play statistics [Mark Humphreys]

Many translation, including:
* Swedish [Christian Rose]
* Italian [Luca Ferretti]
* Korean [Changwoo Ryu]
* Spanish [Xan Lopez]
* Japanese [Norihiro UMEDA]
* German [Christian Neumair, Christian Meyer]
* Czech [Michal Bukovjan]
* Norwegian (bokmål) [Kjartan Maraas]
* Vietnamese [Pablo Saratxaga]
* French [Christophe Merlet]
* Russian [Nail Abdrahmanov]
* Turkish [Fatih Demir]

Overview of Changes in Rhythmbox 0.3
====================================

* Total rewrite [Jorn Baayen]
* Danish translation [Kenneth Christiansen]
* Swedish translation [Christian Rose]
* Norwegian translation [Kjartan Maraas]
* Italian translation [Luca Ferretti]
* German translation [Christian Meyer]
* French translation [Christophe Marlet]
* Internationalization fixes [Kenneth Christiansen]
* Volume slider controlling the system volume [Jeroen Zwartepoorte]
* Ability to run uninstalled [Thomas Vander Stichele]
* Song information dialog [Olivier Martin, Jorn Baayen]
* Bugfixes [Jorn Baayen, Olivier Martin, Dennis Smit]

Other contributors: Marco Pesenti Gritti

Note that searching with the new library has not been implemented yet,
and that the library is still rather buggy. Please don't file bugs on these.
This is just an intermediate release to work with the new gstreamer.

Also note that monitoring of the library directories has been disabled
for this release due to instability problems.

Overview of Changes in Rhythmbox 0.2.1
======================================

* Build fixes [Bastien Nocera]

Overview of Changes in Rhythmbox 0.2
====================================

* Bugfixes [Seth Nickell, Jorn Baayen]
* LCD widget [Jorn Baayen]
* UI improvements [Seth Nickell]
* Playlist columns configurable [Jorn Baayen]
* Speed improvements [Seth Nickell, Jorn Baayen]
* Searching [Seth Nickell, Jorn Baayen]
* Smart Sorting of playlists [Jorn Baayen]
* Shuffle/repeat [Jorn Baayen]
* Splashscreen [Jakub Steiner, Olivier Martin]
* Icons registered with the Gtk stock system [Jorn Baayen]
* Statusbar [Jorn Baayen]
* Proper support for "Various Artist" albums [Jorn Baayen]
* Threaded song addition [Seth Nickell]
* CORBA interface [Jorn Baayen]

..and much more!

Overview of Changes in Rhythmbox 0.1
====================================

* First release! [Jorn Baayen, Marco Pesenti Gritti, Bastien Nocera]
